Welcome to Radmin

Using this help
About Radmin
How to use Radmin
Key features
What's new in version 3.5
Installing and uninstalling
Activating Radmin


Using this help

Jump to
  • Typographical conventions
  • Accessing Help
  • Navigating help
  • Topics layout
  • Where can I find...?
  • Related topics

Typographical conventions

  • Menu commands appear in bold, with the greater-than symbol (>) indicating sub-menu items.

  • Keyboard keys appear in <bold font> inside angled brackets.

go to top

Accessing Help

Radmin online help can be accessed in a number of ways:

  • Select "Help"->"Help" when in a Radmin Viewer main window.

  • Hit <F1> when in a Radmin Viewer main window.

  • Open the file Radmin30.chm located in the installation directory.

go to top

Navigating help

The following image illustrates basic operations:

help usage illustration
help usage illustration

go to top

Topics layout

The Help topics contain links to sub-topics and related topics. Each topic has its own heading. If a topic contains more than one sub-topic, "jump to" links appear immediately following the topic heading. If the topic is related to other topics, "related topics" links appear at the bottom.

go to top

Where can I find...?

All help information is organized within several root-level topics in the left pane:

  • Getting started

    Information about the program, such as key features, installation instructions and general information.

  • Connecting to remote computer

    Instructions for connecting to a remote computer, setting up security options and checking connection problems.

  • Using Radmin Viewer

    Information about Radmin Viewer, including using connection modes and settings.

  • Using Radmin Server

    Information about Radmin Server configuration and use.

  • Managing Radmin Server security

    Security-related information.

go to top

Related
  • How to use Radmin Server
  • Connecting to a remote computer
  • Search help


About Radmin

  • Radmin Structure
  • Key benefits
  • Related topics

Radmin is a remote control program that lets you work on another computer through your own. You see the remote computer's screen in a resizable window on your own monitor, or as the full screen. Your mouse and keyboard control the remote computer so you can work on it as if you were sitting right in front of it ( [image] illustration).

Radmin at work
Radmin at work

go to top

Radmin Structure:

The Radmin system includes two applications:

  • Radmin Server, which is installed on a remote computer.

  • Radmin Viewer on the local computer that shows the remote screen display on your own monitor.

To get started, make sure Radmin Server is running on the remote computer. Then run Radmin Viewer on the local computer and connect to the remote computer via the existing TCP/IP connection.

go to top

Key Benefits:

  • Radmin Viewer supports Windows 8/2012/7/2008/Vista/2003/XP/2000/NT/ME/9x.
  • Radmin Server supports Windows 8/2012/7/2008/Vista/2003/XP/2000 full support for Windows 8/7/Vista fast user switching.
  • Real-time speed of work: operate a remote PC as if it were right in front of you.
  • Reliability: Radmin will work continuously for many months without errors, exceptions or other issues.
  • Security: Radmin provides the highest security level possible.
  • User-friendly interface: Radmin is intuitive and very easy to use.
  • Rich functionality (file transfer, text and voice chat, messages, etc.)
  • Multilanguage support.
  • Technical support.

go to top

Related
  • Using Radmin Viewer
  • Using Radmin Server


How to use Radmin

  • How to use Radmin
  • Glossary
  • Related topics

How to use Radmin

The Radmin system includes two applications:

  • Radmin Server installed on a remote computer.
  • Radmin Viewer on the local computer that can connect to the Radmin Server

To get started make sure Radmin Server is running on the remote computer. Then run Radmin Viewer on the local computer and connect to the remote computer.

go to top

Glossary

  • Remote Computer - computer that is being controlled / connected to.

  • Local Computer - the computer used to connect to the remote computer.

  • Radmin Server - part of Radmin that is installed on the remote computer and waits for a connection. When the user connects to it, Radmin Server will apply user activity to the remote computer and transfer responses (for example, desktop images in case of "Full Control" or "View Only" connection modes) back to the local computer.

  • Radmin Viewer - part of Radmin that is installed on the local computer and is used to connect to the Radmin Server on the remote computer. Radmin Viewer allows the user to control the remote computer via different connection modes.

  • Connection mode - the means of working with the remote computer. Radmin supports the following connection modes: Full Control, View Only, Telnet, File Transfer, Shutdown, Text Chat, Voice Chat, Send Message, Intel® AMT.

go to top

Related
  • Using Radmin Viewer
  • Using Radmin Server


Radmin 3.5 key features

  • Main Radmin Viewer window
  • Remote Screen Window
  • Available connection modes
  • Radmin Server
  • Radmin Security
  • Radmin version compatibility
  • Related topics

  • Main Radmin Viewer window:

    • Full compatibility with Windows 8

    • User-friendly interface

      The Radmin Viewer interface is optimized to be as user friendly as possible.

    • Phonebook for storing connection information

      Radmin provides a phonebook with an explorer-like interface, folders and drag-and-drop support that allows the user to organize remote computers and change settings for individual records. All phonebook records are stored in a file that can be exported or imported.

    • Radmin Servers scanner

      A high-speed, multi-threaded scanner allowing users to determine the hosts from the phonebook that are currently running Radmin Server.

    • Shortcuts from phonebook record to desktop

      Creates a one-click shortcut to any remote computer from its phonebook record.

    • Tray icon minimization

      Radmin Viewer window can be configured so it minimizes into your system tray when you are not using it.

    go to top

  • Remote Screen Window:

    • DireсtScreenTransfer Technology

      Radmin uses a video hook kernel mode driver under Windows 8/2012/7/2008/Vista/2003/XP/2000 to capture screen changes. This boosts the capture rate to hundreds of screen updates per second.

    • Transfers a remote screens in either 2, 4, 16, 256, 65 thousand or 16 million colors at blazing speed

      Radmin uses cutting-edge programming techniques to capture remote screen changes, pack them and transfer them via an encrypted connection to the Viewer.

    • High-resolution modes

      There is no limit to the maximum display resolution Radmin can capture.

    • Full support for remote computers with multiple monitors

      If the remote computer's desktop spawns multiple monitors, Radmin Viewer can display either the entire remote desktop or a specified monitor image.

    • Full-screen, scaled and normal view of the remote screen

      Full-screen mode shows the remote screen full-size on your own monitor. Scaled mode lets you see the remote screen scaled down to fit a window on your local computer's monitor. Scaled images are antialiased to improve quality and readability, with option to keep aspect ratio.

    • Remote cursor display

      Fully supports displaying animated and alpha-blended remote computer cursors. Can be configured to display remote computer cursors in different ways.

    • Mouse wheel support

      Accurately transfers mouse wheel actions to the remote computer.

    • Multiple monitors support

      Radmin Viewer will operate normally when the local computers has more than one monitor connected and active.

    • Full keyboard control

      Radmin Viewer can be configured so special keyboard shortcuts (Alt+Tab etc.) will affect the remote computer.

    • Configurable keyboard shortcuts

      Radmin lets you define shortcuts for its commands, such as sending a Ctrl+Alt+Del combination to a remote computer or switching from full screen to a windowed view mode.

    • Two-way clipboard transfer

      Radmin lets you copy local clipboard text into remote computer's clipboard and vice-versa. Unicode clipboard content is fully supported.

    go to top

  • Available connection modes:

    • Full Control and View Only connection modes

      Real-time display of the remote computer's screen and the ability to control it in "Full Control" mode.

    • File Transfer connection mode

      Lets you transfer files easily between computers.

    • Shutdown Connection Mode

      Lets you reboot or shutdown the remote computer with two mouse clicks.

    • Telnet Connection Mode

      You can execute command and programs on a remote computer using a command-line interface when connected using Radmin's Telnet mode.

    • Voice Chat connection mode

      Real-time audio chat using microphone and speakers. Your voice transfers clearly even with low-speed modem connections.

    • Text Chat connection mode

      Real-time chat using text messages. Multiple public and private channels, syntax coloring and away-from-computer tracking are available.

    • Send Message Command

      Allows the user to send short text messages to a remote computer that is running Radmin Server.

    • Intel® AMT

      This is a special connection that enables you to turn a remote computer on or off, manage the remote computer’s BIOS settings, control the remote computer’s boot process before the operating system is loaded and boot the remote computer from a local CD or from an ISO file.

    go to top

  • Radmin Server:

    • Full compatibility with Windows 8

    • Support of Fast User Switching on Windows 8/7/Vista

      The server keeps connections when users are switched on Windows 8/7/Vista.

    • Multiple Connections Support

      The server can accept multiple incoming connections. A client can simultaneously connect to different servers as well as to a single server in different connection modes.

    • Run as a Service

      Works as a service, enabling connections when no user is logged on the remote computer, and can log required users on and off.

    • Multiple monitors support

      If the remote computer has multiple monitors connected and active, Radmin Server can transfer either the entire desktop or a specified monitor image.

    • Mouse cursor transfer

      Captures any remote computer cursor and sends its appearance back to Radmin Viewer. Fully supports animated and alpha-blended cursors.

    go to top

  • Radmin Security:

    • 256-Bit AES strong encryption of all data streams

      Radmin generates unique 256-bit keys for each connection and encrypts data streams using highly secure AES algorithms. Encryption is always enabled.

    • Windows security permissions

      Supports different permissions for specific users or user groups from a Primary Domain, Trusted Domains and the Active Directory. Supports automatic use of logged-in user credentials.

    • Radmin Security Permissions

      Supports different permissions for the users added to the Radmin Server access list. Radmin uses a Diffie-Hellman based key exchange with 2048-bit key size for secure user authentication.

    • IP Filter

      Permits access to Radmin Server only from specified IP addresses and networks.

    • Logging feature for writing all actions to the log file

      Writes all information concerning connections, including the user name, DNS name and IP address, to a log file.

    • Ten incorrect passwords sequence security delay

      Will suspend accepting new connections after ten attempts with incorrect passwords, preventing attempts to guess the password.

    go to top

  • Radmin version compatibility:

    • Radmin Viewer 3.x can connect to Radmin Server 3.x, Radmin Server 2.2 and Radmin Server 2.1

    • Radmin Server 3.x can accept connections only from Radmin Viewer 3.x

    go to top

Related
  • How to use Radmin


What's new in Radmin version 3.5

  • Radmin Server:

    • Support for Windows 8.

What's new in Radmin version 3.4

  • Radmin Server:

    • Support for Windows 7.

What's new in Radmin version 3.3

  • Radmin Viewer:

    • Support for Intel® AMT technology.

What's new in Radmin version 3.2

  • Radmin Server:

    • Support for Windows Server 2008.
    • Support for Windows Vista SP1.
    • Support for Left-handed mouse.

What's new in Radmin version 3.1

  • Radmin Server:

    • Support for 64 bit Windows versions.

What's new in Radmin version 3.0

  • Main Radmin Viewer window:

    • Folders in Radmin phonebook.
    • Explorer-like tree view window with Radmin folders.
    • Drag and drop of items and folders.
    • Radmin phonebook stored in the file.
    • Export-import phonebook files.
    • Scan for running Radmin Servers.
    • Ability to create shortcuts to phonebook items on desktop.
    • Options dialog in main window.
    • Defaults for new connections in options.
    • Global options for Remote Screen, File transfer, Chat, Audio Chat in the Main window options.
    • Minimize Radmin Viewer main window to tray icon.

  • Remote Screen Window:

    • Full screen stretch view mode.
    • Smooth scaling in the remote screen window.
    • Toolbar at the top allowing fast switching between connection modes, sending key combinations, switching view modes and changing current remote monitor.
    • Server cursor support in two ways: replace of local cursor, draw with screen updates.
    • Mouse wheel and additional buttons support.
    • Auto mouse scroll in the Remote Screen window.
    • Multiple monitors support.
    • Support for color modes from 1 bit to true color.
    • Special keystrokes handling (Alt-Tab, Windows key, etc).
    • Configurable keyboard shortcuts for Radmin commands.
    • Fast launch of other connections (file transfer, chat, voice, telnet) from Remote Screen window without entering passwords again.
    • Ability to keep aspect ratio in stretch view.
    • Support for Unicode clipboard contents.
    • Smooth scaling.

  • File transfer mode:

    • Vertical panel splitting.
    • Movable toolbar and combobox panels.
    • New hotkeys added: access folder selection menu, sorting files and folders, copy selected files and directories, rename files and folders, switch between panes, refresh the active pane.
    • Hotkey to open new file transfer window without entering login and password.
    • 4Gb+ file transfer support.
    • Execute files on the local computer.
    • File names in Unicode format support.

  • New connection modes:

    • Multi-user chat.
    • Multi-user audio chat.
    • Ability to send a message to a server.

  • Radmin Server:

    • Unmatched speed and low CPU usage.
    • New DirectScreenTransfer technology using new video hook driver.
    • Full compatibility with Windows Vista.
    • Support of Fast User Switching on Windows XP and Vista.
    • New optimized network protocol.
    • Multiple monitors support.
    • Support of sending cursor shape and position.
    • New options interface.
    • New Radmin security settings interface.
    • New Windows security settings interface.
    • Logs in HTML format.
    • New IP filtering settings interface.
    • Select interface language and an option to autoselect language.
    • Ability to disable specific connection modes.
    • Settings for text and voice chat.

  • Security:

    • Advanced 256 bit AES encryption for all sending and receiving data.
    • Kerberos authentication protocol support.
    • New Radmin security supports Users with individual rights.
    • Radmin security uses new authentication method based on Diffie-Hellman key exchange with 2048 bit key size.
    • New Windows security settings interface with support for Trusted Domains for WinNT 4.0 and Active Directory for Win2k/WinXP/Win2003/Vista/2008.
    • DNS name and user name info added to the logfile.
    • 5 bad passwords sequence security delay.

  • Text chat:

    • Private instant messaging.
    • Multi-user, real time text chat conversations.
    • Custom fonts, text color and size, custom nickname.
    • Operator can kick out the users from the chat.
    • Create new channels, including password-protected channels.
    • Send text messages to multiple users.
    • Save chat history in a separate log.
    • User-friendly interface, control with the mouse and using hotkeys and text commands.
    • 256-bit encryption enabled for all transferred data.

  • Voice chat:

    • Private, real time voice chat conversations (VoIP analog).
    • Multi-user, real time voice chat conversations.
    • Conference mode with microphone queue.
    • Customizable voice quality to save bandwidth and traffic.
    • Creating multiple public and private channels.
    • Channel protection with user and operator passwords.
    • Short text message sending.
    • Record conversation to .wav file.
    • Set optimum bandwidth for voice chat.
    • 256-bit encryption enabled for all transferred data.

Related
  • Using Radmin Viewer
  • Using Radmin Server


Installing and uninstalling Radmin

  • System requirements
  • Before installation
  • Installing Radmin
  • Licensing Radmin
  • Uninstalling Radmin
  • Related topics

System requirements

Radmin has no special hardware requirements. If your computer is capable of running Windows 98 or higher, the Radmin Viewer will run. It even runs on a 486 computer with 8 MB RAM.

Radmin Viewer

Will run on Windows 8/2012/7/2008/Vista/2003/XP/2000/NT/ME/9x

Radmin Server

Will run on Windows 8/2012/7/2008/Vista/2003/XP/2000

note Running Voice Chat will require a sound card, speakers and a microphone.

note Radmin will still operate successfully even when the monitor, mouse and keyboard are not connected to the remote computer. However some computers do not boot successfully without a keyboard plugged in.

For All Operating Systems (Windows 8/2012/7/2008/Vista/2003/XP/2000/NT/ME/9x):
The computer should have TCP/IP (the most-used protocol for networking computers) installed.

Windows NT:
Service pack 6 or higher is required.

Windows 8/2012/7/2008/Vista/2003/XP/2000:
Administrators rights or elevated privileges are required to install Radmin Server.

go to top

Before installation

Both computers need to be connected by TCP/IP on a local network, modem-to-modem, or over the Internet.

Radmin Server should be installed on the remote computer.

Radmin Viewer should be installed on the local computer.

You should uninstall all earlier versions of Radmin Server before installing a new version.

note You can install and use Radmin Server 3.5 while previously installed Radmin Server 2.2 is active if you configure Radmin Server 3.5 to use a different port.

go to top

Installing Radmin

To install Radmin (Radmin Viewer or Radmin Server, or both):

  1. Run rview34.exe to install Radmin Viewer.

  2. Follow the on-screen instructions and select an installation directory when asked. The installer will copy all required files into the specified directory.

  3. Run rserv34.exe to install Radmin Server.

  4. Follow the on-screen instructions. The installer will copy all required files into the default system directory.

  5. warning On Windows XP and later make sure that a build-in Firewall is configured to allow incoming connections for Radmin Server.

After installation, the Programs folder of the Start menu will contain the following shortcuts inside the "Radmin Viewer 3" or "Radmin Server 3" subfolders:

  • Help

    Displays the help file.

  • Radmin Viewer 3

    Starts Radmin Viewer.

  • Settings for Radmin Server

    Displays the Radmin Server settings window.

  • Start Radmin Server

    Starts Radmin Server.

  • Stop Radmin Server

    Stops Radmin Server.

  • Uninstall

    Uninstalls Radmin Server or Radmin Viewer from the computer.

go to top

Licensing Radmin

When the 30-day trial period has expired, Radmin Server requires a license in order to continue operating. When you purchase a program license, Famatech will deliver a license code that will unlock Radmin Server for continued use. Please see "Licensing Radmin" for further details. To order your license code, please visit our company website at www.radmin.com.

go to top

Uninstalling Radmin

Radmin can be uninstalled using "Add or Remove programs" Windows settings or using "Uninstall" start menu shortcut.

Windows 2000:

warning On some Windows 2000 configurations Radmin Server may not be able to uninstall mirror driver. In such case, do the following:

  1. Delete the \system32\drivers\rminiv3.sys file.
  2. Restart Windows.
  3. Remove mirror driver from Windows control panel or run rserver3.exe with /intuninstall command-line switch.

go to top

Related
  • How to use Radmin
  • Connecting to a remote computer


Connecting to a Remote Computer

  • Related topics

To connect to a remote computer:
  1. Make sure Radmin Server is installed and running on the remote computer.

  2. Get the remote computer's IP address or DNS name.

  3. Start Radmin Viewer on your local computer.

  4. Click the [image] "Connect to" toolbar button, enter the remote computer's IP address, select the "Full Control" connection mode and click the OK button.

  5. Enter the login ID and password according to the target Radmin Server security settings.

  6. The remote computer’s desktop will appear inside a window on your computer.

After connecting, you can work with the remote computer as if you are sitting in front of it. More info...

Radmin also offers additional methods to work with remote computer: you can simply view the remote screen, or connect via a telnet-like shell, or even use an audio chat to talk with the remote computer's user. For more information on different connection modes and how to use them, refer "connection modes" help section.

Related
  • Obtaining a remote computer's IP address
  • Connecting over LAN
  • Connecting over the Internet
  • Modem to modem connection
  • Direct cable connection
  • Connecting tips


Obtaining a remote computer's IP address

You will need the remote computer's IP address or DNS name to connect to it. You can obtain it in the following ways:

  • Using the Radmin Server icon

    If the Radmin Server installed on the remote computer, move the mouse cursor over tray icon and IP address will appear.

  • Using standard Windows programs

    Run the ipconfig.exe command from the remote computer's command-line and examine the "IP address" field.

    note To obtain DNS name, run the ipconfig.exe with /all command-line switch and examine the "host name" and "primary dns suffix" fields.

Related
  • Connecting to a remote computer


Connecting over LAN

  • If the remote computer is accessible via the local area network (LAN), you can connect to it directly using its IP address or DNS name.

    If an IP address is dynamic (different each time) then any third party program can be used to display the IP address change or to map the IP address to a static DNS name.

  • If the remote computer is not accessible directly, you can connect by using LAN or WAN routers/proxy configuration:

    • Proxies/routers that have both direct Internet access and remote computer access can be configured for port forwarding.

    • You can use third party software for tunneling or callback connection to create a virtual TCP/IP connection.

Related
  • Obtaining a remote computer's IP address
  • Connecting over the Internet
  • Modem to modem connection
  • Direct cable connection
  • Connecting tips


Connecting over the Internet

  • If the remote computer has a real IP address and is accessible via the Internet, you can connect to it directly.

    If the IP address is dynamic (different each time) then you can use any third party program to learn the IP address or to map the IP address to a static DNS name.

  • If the remote computer has a virtual IP address or is not accessible directly via the Internet:

    • You can configure proxies/routers that have both direct Internet access and remote computer access for port forwarding.

    • You can use third party software for tunneling or callback connection to create a virtual TCP/IP connection.
Related
  • Obtaining a remote computer's IP address
  • Connecting over LAN
  • Modem to modem connection
  • Direct cable connection
  • Connecting tips


Using modem-to-modem connection

On the remote computer, install the Dial-Up Networking Server. Use the standard RAS component supplied with Windows. Then configure the server to use TCP/IP. Start the Radmin Server.

On the local computer, install Dial-Up Networking, configure it to use only the TCP/IP protocol and make a call to the remote computer.

Use the remote computer's IP address to connect to Radmin Server using Radmin Viewer. Typically you will use the IP address 192.168.55.1 for a modem-to-modem connection.

Related
  • Obtaining a remote computer's IP address
  • Connecting over LAN
  • Connecting over the Internet
  • Direct cable connection
  • Connecting tips


Using direct cable connection

First install the Null Modem driver (if it is not already installed). Then configure the system as you would with a Modem-to-modem connection.

Related
  • Obtaining a remote computer's IP address
  • Connecting over LAN
  • Connecting over the Internet
  • Modem to modem connection
  • Connecting tips


Connecting tips

If the remote computer can't be connected:

  1. Make sure Radmin Server is running on the remote computer and examine the log file in case it is not.

  2. Try to connect from the remote computer to itself. If this fails:

    • Ping the remote computer from itself (see step 3).

    • Examine the log file.

  3. Ping the remote computer from the local computer. If it cannot be pinged:

    • Ensure that the IP address or DNS name of the remote computer is valid and accessible by pinging it from itself and from any other linked computers.

    • If the remote computer is not accessible by network topology, refer to the "connecting over LAN" help section for details.

  4. Scan the remote computer for an open port (4899 by default). You can use the build-in scanner or any port-scanning software of your choice. If this fails:

    • Check the port settings on the remote computer to ensure that you are using the correct port.

    • If the remote computer has a firewall installed, make sure it is correctly configured.

      note Windows has a built-in firewall that may be active.

    • Configure any proxies/routers between the local and remote computer so they allow connections on the target port.

  5. Examine the log file.

Related
  • Connecting to a remote computer


Setting up security

After installing Radmin, you will be asked to configure Radmin security. You can change security settings later by accessing Radmin Server settings.

The basic security configuration enables the user to choose between Radmin Security and Windows security.

note If neither Radmin security nor Windows security is configured, there will be no way to connect Radmin Server.

  • Radmin Security

    Uses login and password protection for authentication.

    tip If you don't want to enter a password each time you connect to a remote computer, you can use Windows security. If you have logged in using credentials specified in the Radmin Server access list, Radmin will not require a user name or password.

    To increase security, you cannot save passwords on the computer running Radmin Viewer.

  • Windows security

    Allows one to specify Windows users and groups that have access to Radmin Server.

Related
  • Connecting to a remote computer


Connect status

The "Connect status" window ( [image] illustration) appears in two cases:

Connect status window
Connect status window

  • The connection attempt takes longer than four seconds. In this case a connection real-time log will appear. You can cancel the connection attempt by clicking on the Stop button.

  • The connection attempt fails.

Related
  • Connecting to a remote computer


Using Radmin Viewer

Radmin Viewer is a program that connects to a remote computer that has Radmin Server installed. Radmin Viewer allows the user to initiate connection with remote computer using different connection modes.

Radmin Viewer lets you store and organize the addresses of remote computers in a phonebook.

See Radmin Viewer interface details and step-by-step connection instructions for further information.

Related
  • Using Radmin Server


Overview of Radmin Viewer interface

The primary component of the Radmin Viewer window is the Phonebook. The phonebook lets you connect to a remote computer using records, and displays a tree-view folder window on the left and the current folder contents on the right.

The Toolbar has buttons for accessing the most-used functions.

The Upper menu provides access to all functions.

Options are accessible from the upper menu.

When you connect to a remote computer, windows will open to give access to the new connection. Each connection type has its own interface. More details about connection types follow:

  • Full Control connection mode interface,
  • View Only connection mode interface,
  • Telnet connection mode interface,
  • File Transfer connection mode interface,
  • Shutdown connection mode interface,
  • Text Chat connection mode interface,
  • Voice Chat connection mode interface,
  • Send Message connection mode interface.

Related
  • Using Radmin Viewer


The main Radmin Viewer window

  • Main window overview
  • Connection-specific menu
  • Related topics

Main window overview

The main Radmin Viewer window ( [image] illustration) lets you initiate new connections to remote computers, and stores phonebook records for those computers that you connect to on a frequent basis. It includes two main components:

Radmin Viewer window
Radmin Viewer window

  • Phonebook on the right

    Each phonebook entry includes a description of the remote computer with its own label and settings. Double-clicking on the phonebook entry will launch a connection to the remote computer using the current connection mode.

  • Folders to the left

    You can group phonebook records into "folders", similar to the way Explorer groups files. When you select a folder on the left, its contents, complete with all of its sub-foolders, appear on the right.

    up arrow This symbol lets you see the parent folder contents when you are viewing the contents of a sub-folder.

go to top

Connection-specific menu

This menu appears when you right-click on a phonebook record ( [image] illustration). It includes the following items:

Connection menu
Connection menu

  • Full Control, View Only, Telnet, File Transfer, Shutdown, Chat, Voice Chat, Send Message, Intel® AMT

    Connects using the corresponding connection mode.

  • License Code Transfer

    Transfers the license key to the remote computer.

  • Delete

    Deletes a phonebook record.

  • Rename

    Renames a phonebook record.

  • Create Shortcut on Desktop

    Creates a shortcut on the desktop.

    note Each desktop shortcut contains information on the phonebook from which it was created, which means you can create multiple shortcuts from multiple phonebooks.

  • Properties

    Enables the user to view and change phonebook record properties.

go to top

Related
  • Radmin Viewer interface
  • "Connect to" window
  • Toolbar
  • Menu


The "Connect to" window

This window appears when you issue a "Connect to" command via the Radmin Viewer interface. ( [image] illustration).

"Connect to" window
"Connect to" window

Here you can configure the following settings for a new connection: the remote computer's IP address, the Radmin Server port, the connection mode and the optional "connect through" feature.

  • IP address or DNS name

    Enter the remote computer's IP address or DNS name here.

  • Use default port

    If this option is not selected, you can enter a custom port for the connection.

  • Port

    Here is where you enter a custom port for Radmin Server.

  • Connection type

    Here you select the connection mode.

  • Connect through host

    Use this checkbox and select a computer from the following list to connect through Radmin Server installed on the selected computer.

    tip The list is populated with records from your address book.

  • Add to phonebook

    If you check this option, Radmin will save the phonebook record before connecting.

The tabs on the left configure the same settings as the corresponding tabs in Radmin Viewer options and Windows Security options.

Related
  • Radmin Viewer interface
  • Main window
  • Toolbar
  • Menu


Using Radmin Viewer toolbar

The toolbar includes the following commands:

– Lets you connect instantly to another computer.
– Adds a new connection to the list.
– Deletes the selected connection or folder.
– No connection or folder is selected.
– Lets you edit the properties of the selected connection.
– No connection is selected.
– Sets the connection mode to "Full Control".
– Sets the connection mode to "View Only".
– Sets the connection mode to "Telnet".
– Sets the connection mode to "File Transfer".
– Sets the connection mode to "Shutdown".
– Sets the connection mode to "Text Chat".
– Sets the connection mode to "Voice Chat".
– Sets the connection mode to "Send Message".
– Sets the icon view mode - Large Icons, Small Icons, List or Details.
– Toggles the Folders tree on and off.
– Scans for active Radmin Servers in the phonebook's current folder.

Related
  • Radmin Viewer interface
  • Main window
  • "Connect to" window
  • Menu


Using the Radmin Viewer upper menu

  • Connection menu
  • Mode menu
  • View menu
  • Tools menu
  • Help menu
  • Related topics

All commands are accessible via the top menu:

note A menu item may be disabled if no target is selected or the action can't be performed at this point.

  • Connection menu ( illustration)

    "Connection" menu
    "Connection" menu

    Lets you manipulate new and existing connections. It includes the following items

    • Connect to

      Adds a new connection record to the phonebook and establishes the connection.

    • New folder

      Adds a new folder to the phonebook.

    • New Connection

      Adds a new connection record to the phonebook.

    • Open

      Establishes a connection to the currently selected record using the current connection mode.

    • Delete

      Deletes the currently selected phonebook record.

    • Properties

      Lets you change the properties of the currently selected phonebook record.

    • Exit

      Quits the program, closing all current connections.

      note If there are any connections running, Radmin will display an exit confirmation dialog.

    go to top

  • Mode menu ( illustration)

    "Mode" menu
    "Mode" menu

    Sets the current connection mode.

    go to top

  • View menu ( illustration)

    "View" menu
    "View" menu

    Changes the way the phonebook records appear:

    • Large icons

      Records appear as large icons.

    • Small icons

      Records appear as small icons.

    • List

      Records appear as small icons and organized in a vertical list.

    • Details

      Records appear as a list with detailed information.

    • Arrange icons

      Lets you select the record-sorting method:

      • by Name

        Records will be sorted by their name.

      • by Address

        Records will be sorted by their IP address.

    • Folders Tree

      If this option is checked, the Folder tree will appear on the left; otherwise it is hidden.

    go to top

  • Tools menu ( illustration)

    "Tools" menu
    "Tools" menu

    Contains the additional commands:

    • Export Phonebook...

      Exports the phonebook to a specified file.

      note Radmin Viewer exports a phonebook to its own binary format with an .rpb extension.

    • Import Phonebook...

      Imports the phonebook from a specified file.

      note Radmin Viewer imports a phonebook only from its own binary format with an .rpb extension.

    • Set new phonebook...

      Sets new phonebook file to be used by Radmin Viewer. The target file should be in Radmin Viewer format with an .rpb extension.

    • Scan for active servers

      Scans for active Radmin Servers.

    • Language

      Lets you change the Radmin Viewer interface language.

    • Options

      Lets you configure Radmin Viewer options.

    go to top

  • Help menu ( illustration)

    "Help" menu
    "Help" menu

    Contains an online help system.

    • Help

      Displays this online help file.

    • Online Forum

      Directs the web browser to the Radmin Support Forum webpage.

    • Radmin Online

      Directs the web browser to the official Radmin home page.

    • About

      Displays information regarding the program.

    go to top

Related
  • Radmin Viewer interface
  • Main window
  • "Connect to" window
  • Toolbar


Radmin Viewer command-line switches

  • /connect
  • /through
  • /pbpath
  • /noinput
  • /telnet
  • /file
  • /shutdown
  • /chat
  • /voice
  • /message
  • /fullscreen
  • /fullstretch
  • /nofullkbcontrol
  • /monitor
  • /24bpp, /16bpp, /8bpp, /4bpp, /2bpp, /1bpp
  • /updates
  • /sendrequest
  • /?
  • Related topics

You can run Radmin Viewer's executable file, radmin.exe, in the installation directory with the following command-line switches:

  • /connect

    Initiates connection to a remote computer without a phonebook:

    /connect:<address>:<port>

    Where:

    • address

      is the remote computer IP address or DNS name.

    • port

      is the port number which Radmin Server, installed on a remote computer, is configured to use for connections.

    Example:

    /connect:212.44.120.10:4899

    go to top

  • /through

    connects through an intermediate Radmin Server

    /through:<address>:<port>

    Where:

    • address

      is the intermediate computer IP address or DNS name.

    • port

      is the port number which Radmin Server, installed on a intermediate computer, is configured to use for connections.

    Example:

    /connect:212.44.120.10:4899 /through:212.44.121.1:2000

    go to top

  • /pbpath

    starts with specified phonebook file.

    /pbpath"path"

    Where:

    • path

      is a path and name of the phonebook file.

    Example:

    /pbpath"C:\my.rpb"

    go to top

  • /noinput

    connects using the "View Only" connection mode.

    Example:

    /connect:212.44.120.10:4899 /noinput

    go to top

  • /telnet

    connects using the "Telnet" connection mode.

    Example:

    /connect:212.44.120.10:4899 /telnet

    go to top

  • /file

    connects using the "File Transfer" connection mode.

    Example:

    /connect:212.44.120.10:4899 /file

    go to top

  • /shutdown

    connects using the "Shutdown" connection mode.

    Example:

    /connect:212.44.120.10:4899 /shutdown

    go to top

  • /chat

    connects using the "Text Chat" connection mode.

    Example:

    /connect:212.44.120.10:4899 /chat

    go to top

  • /voice

    connects using the "Voice Chat" connection mode.

    Example:

    /connect:212.44.120.10:4899 /voice

    go to top

  • /message

    connects using the "Send Message" connection mode.

    Example:

    /connect:212.44.120.10:4899 /message

    go to top

  • /fullscreen

    Used with the "Full Control" connection mode (no mode switches) or "View Only" connection mode (the "/noinput" switch). Will display the remote computer window in full screen.

    Example:

    /connect:212.44.120.10:4899 /noinput /fullscreen

    go to top

  • /fullstretch

    Used in "Full Control" or "View Only" connection mode. Will display the desktop of a remote computer in full screen, expanding the image if the resolution of the screens of the remote and local computer differs.

    Example:

    /connect:212.44.120.10:4899 /noinput /fullstretch

    go to top

  • /nofullkbcontrol

    Used with "Full Control" mode. The key prevents the transfer of system hotkeys (such as ALT-TAB) to the remote computer.

    Example:

    /connect:212.44.120.10:4899 /nofullkbcontrol

    go to top

  • /monitor

    /monitor<Display identifier>

    Where:

    • Display identifier

      Row view \\.\DISPLAY1 how it is displayed in the connection window menu.

    Used with "Full Control" or "View Only" connection mode. If there are several monitors on the remote computer, this key makes it possible for you to display an image on one of them.

    Example:

    /connect:212.44.120.10:4899 /monitor"\\.\DISPLAY1"

    go to top

  • /24bpp, /16bpp, /8bpp, /4bpp, /2bpp, /1bpp

    Used with the "Full Control" connection mode (no mode switches) or "View Only" connection mode (the "/noinput" switch). Defines the color depth of images that Radmin Server will transfer to Radmin Viewer. Lower color depths will require less data to be transferred over the network, which improves update speeds but decreases image quality. Maximum color depth will show you almost the same image as on the remote computer, but the update speed can be slow.

    Example:

    /connect:212.44.120.10:4899 /noinput /16bpp

    go to top

  • /updates

    /updates:<number of updates per second>

    Where:

    • number of updates per second

      gives the maximum number of screen updates per second.

    Used with "Full Control" connection mode (no mode switches) or "View Only" connection mode (the "/noinput" switch). Will display the remote computer window with no more than the specified number of updates per second.

    Example:

    /connect:212.44.120.10:4899 /noinput /updates:30

    go to top

  • /sendrequest

    Sends specified Radmin Server activation request file to the Famatech Activation Server and saves received license file. Received license file can be used to activate Radmin Server manually or using the Radmin Server command-line switches.

    /sendrequest /requestfile"<request file name>" /licensefile"<license file name>" [/outputfile"<output file name>"]

    Where:

    • request file name

      is the name and path of the activation request file generated by Radmin Server. More info ...

    • license file name

      is the name and path of the license file to be saved.

    • output file name

      is the optional switch that defines the name and path of report file to be saved. Report file will contain text description of operation success or failure.

    Example:

    radmin.exe /sendrequest /requestfile"C:\fam.request" /licensefile"C:\fam.license"

    or

    radmin.exe /sendrequest /requestfile"C:\fam.request" /licensefile"C:\fam.license" /outputfile"C:\fam.log"

    go to top

  • /?

    Displays a window with a list of available command-line switches.

    go to top

Related
  • Using Radmin Viewer


Using the Radmin Viewer phonebook

  • Phonebook overview
  • Phonebook icons
  • Using phonebook
  • Related topics

Phonebook overview

The Radmin Viewer phonebook ( [image] illustration) lets you manage the list of saved remote computer descriptions with individual labels and settings.

Radmin Viewer window
Radmin Viewer window

The left side of the phonebook contains a Folder tree that can be organized just like folders in Explorer. The records list on the right displays the selected folder contents as a list of records and sub-folders. The special "go up" icon [image] lets you display the contents of the parent folder. Double-clicking a record will launch a connection to the corresponding remote computer using the current connection mode.

tip The Folder tree can be hidden to preserve screen space.

go to top

Phonebook icons

The phonebook has the following icons for showing different records and special items:

– Record with a description of the remote computer
– The record running Radmin Server found during the last scan

note This information is valid for the last scan, and may be obsolete.

– Folder. Double-clicking on it will display its contents.
– Double-clicking on it will display the contents of the parent folder.

go to top

Using phonebook

  • How to add a record to the phonebook
  • How to connect to an existing record
  • How to change a record settings
  • How to organize your records
  • How to export a phonebook
  • How to import a phonebook
  • How to set new phonebook
  • How to scan for active Radmin Servers
  • How to create desktop shortcut to access remote computers without starting Radmin Viewer

go to top

Related
  • Radmin Viewer interface overview


Adding a record to the phonebook

To add a record to the phonebook:
  1. Issue the New connection command by clicking on the "new connection" icon "Add new connection" toolbar button ( [image] details).

    The New connection command can be issued in a number of ways:

    • By clicking on the "new connection" icon "Add new connection" toolbar button.

    • By selecting the "Connection"->"New Connection" menu command.

    • By hitting the <Ins> hotkey.

  2. The "New Connection" window will appear ( [image] illustration).

    Connection properties window
    Connection properties window

  3. Enter the remote server's IP address or DNS name.

  4. Click the Ok button.

Related
  • Using phonebook


Connecting from a phonebook record

To connect from a phonebook record, set the current connection mode and double-click the record.

Alternatively, right-click on a phonebook record and select the connection mode from the context menu ( [image] illustration).

Phonebook menu
Phonebook menu

Related
  • Using Phonebook


Changing phonebook record settings

To change phonebook record settings:
  1. Right-click the phonebook record and select "Properties".

  2. The "Connection properties" window will appear ( [image] illustration).

    Connection properties window
    Connection properties window

  3. Select the options page on the left and change the settings (more info). Options pages are the same as for the "new connection defaults" settings.

  4. Click the Ok button.

General record settings

The following settings are available:

  • Name of entry

    Specifies the record label in the phonebook.

  • IP address or DNS name

    Specifies the IP address or DNS name of the remote computer.

  • Use default port

    If this option is selected, connections will use the default port number (4899).

  • Port

    Specifies a custom port number to connect to.

  • Connect through host

    If this option is checked, the connection to the target computer will run through the selected intermediate computer running Radmin Server.

Windows Security settings

To access Windows Security settings, click the "Windows Security" item from the left list. The "Windows Security" settings will appear ( [image] illustration).

"Windows Security" window
"Windows Security" window

  • Don't use current user in windows authentication

    If checked, Radmin Viewer will not attempt to use logged in user credentials to authenticate on the remote computer. Instead, login window will be displayed so user can manually enter login and password.

  • Host name for kerberos authentication

    "Host" name that will be used upon connecting to the remote computer if "kerberos" authentication is used.

Related
  • Using Phonebook
  • Using Windows Security


Organizing phonebook records

  • Creating new folders
  • Renaming folders
  • Deleting folders
  • Copying single phonebook records
  • Moving single phonebook records
  • Renaming phonebook records
  • Deleting phonebook records
  • Related topics

Creating new folders

To create a new folder in the phonebook:
  1. Right-click an empty space in the phonebook to display the phonebook context menu ( [image] illustration).

    Phonebook menu
    Phonebook menu

  2. Select the New folder menu item ( [image] details).

    The New folder command can be issued in a number of ways:
    • Use phonebook context menu.

    • Right-click on the folder in the phonebook or Folder tree and select New folder.

    • Hit the <F7> hotkey.

go to top

Renaming folders

To rename an existing folder:
  1. Right-click a folder to display the Folder context menu ( [image] illustration).

    Phonebook folder menu
    Phonebook folder menu

  2. Select the Rename menu item ( [image] details).

    The rename folder command can be issued in a number of ways:
    • Use phonebook context menu.

    • Select a folder and click on the <F2> hotkey.

go to top

Deleting folders

To delete an existing folder:
  1. Right-click a folder to display the Folder context menu ( [image] illustration).

    Phonebook folder menu
    Phonebook folder menu

  2. Select the Delete menu item ( [image] details).

    The delete folder command can be issued in a number of ways:
    • Use phonebook context menu.

    • Select a folder and click on the <Del> hotkey.

    You can select multiple items by clicking on them while holding down the <Ctrl> key.

go to top

Copying single phonebook records

To copy a phonebook record or folder:
  1. Right-Button Drag and Drop a record or a folder into any phonebook folder.

  2. In the context menu that opens select Copy Here.

go to top

Moving single phonebook records

To move a phonebook record or folder:
  1. Right-Button Drag and Drop a record or a folder into any phonebook folder.

  2. In the context menu that opens select Move Here.

go to top

Renaming phonebook records

To rename a phonebook record:
  1. Right-click on a record to display the Record context menu ( [image] illustration).

    Phonebook connection menu
    Phonebook connection menu

  2. Choose the "Rename" menu item ( [image] details).

    You can issue "rename record" command in two different ways:
    • Use phonebook context menu.

    • Select a folder and click on the <F2> hotkey.

go to top

Deleting phonebook records

To delete a phonebook record:
  1. Right-click a record to display the record context menu ( [image] illustration).

    Phonebook connection menu
    Phonebook connection menu

  2. Choose the "Delete" menu item ( [image] details).

    The delete record command can be issued in a number of ways:
    • Use phonebook context menu.

    • Select a folder and click on the <Del> hotkey.

    You can select multiple items by clicking on them while holding down the <Ctrl> key.

go to top

Related
  • How to use phonebook


Exporting a Radmin Viewer phonebook

The "Export Phonebook" command will save the contents of the current phonebook into a new file for transfer or backup.

To export a phonebook:
  1. Use the "Tools"->"Export phonebook" phonebook menu command and select a file name in the standard "save" window.

  2. Click the "Save" button.

Related
  • Using Phonebook
  • Importing phonebook


Importing a Radmin Viewer phonebook

The "Import Phonebook" command will add all records from the specified phonebook file to the current phonebook. Records with the same name will be duplicated.

To import a phonebook:
  1. Use the "Tools"->"Import phonebook" phonebook menu command and select the file to import in the standard window. This should be a file with an .rpb extension created by Radmin Viewer.

  2. Click the "Open" button.

Related
  • Using Phonebook


Creating a new phonebook

The "Set New Phonebook" command lets you specify a file for storing a phonebook in. Radmin will use the specified file until you select a new one.

It is possible (but not recommended) to share a phonebook between two or more Radmin Viewers.

note Import phonebook will add all records from the specified phonebook file to the current one, while Set new phonebook will create a new phonebook file, replacing the current one.

To create a new phonebook:
  1. Use the "Tools"->"Set New Phonebook" menu command and choose a Radmin phonebook file (with .rpb extension) in a standard window.

  2. Click "Open".

Related
  • Using Phonebook
  • Exporting phonebook
  • Importing phonebook


Sharing a Radmin Viewer phonebook

The Set new phonebook command lets you assign a single phonebook file to two or more Radmin Viewers.

warning This feature is provided only for compatibility and to handle possible errors. It is not designed to provide a network-wide centralized phonebook system.

Radmin Viewer updates its phonebook information when you make changes to entries. Other Radmin Viewers that use the same phonebook will not automatically detect changes; if they try to make their own changes, a conflict may arise and the "phonebook conflict resolution" window will appear ( [image] illustration). The following options are available:

Phonebook share confilct window
Phonebook share conflict window

  • Discard the modified phonebook file and use the current phonebook

    Will discard all changes the other Radmin Viewer has made and save the phonebook as it appears with the current Radmin Viewer.

  • Save the current phonebook to another location

    Will save the current Radmin Viewer's phonebook to another file and display the phonebook that has been updated by another Radmin Viewer.

  • Discard the current phonebook and use the modified phonebook file

    Will discard all changes the current Radmin Viewer has made and load the phonebook with the changes another Radmin Viewer has made.

  • Cancel

    Will temporarily detach the current Radmin Viewer from the phonebook until the system is restarted. A notification window will appear ( [image] illustration). All changes will remain in memory, but will be discarded if you exit Radmin without saving them.

    Phonebook connect error window
    Phonebook connect error window

Related
  • Using Phonebook


Scanning a phonebook for active servers

To scan a phonebook for active servers:
  1. Click the "Scan for active servers" [image] toolbar button.

  2. For phonebook records that have Radmin Server running on a corresponding remote computer the icon will change to [image] ( [image] details).

    The Scan For Active Servers command can be issued in a number of ways:

    • By clicking on the "Scan For Active Servers" toolbar button.

    • By selecting the "Tools"->"Scan For Active Servers" menu command.

    • By hitting then F5 hotkey.

    note This information is valid for the last scan and may be obsolete. The scan uses the remote port specified in the record's settings.

Related
  • Using Phonebook


Creating desktop shortcuts

To create a desktop shortcut for a phonebook record:
  1. Right-click the phonebook record. The "Record context menu" will appear ( [image] illustration).

    Phonebook connection menu
    Phonebook connection menu

  2. Use the Create Shortcut on Desktop sub-menu and select the connection mode.

    • The created shortcut will link to the specific record in the specific phonebook and will use the same settings as the corresponding record.

    • If the record in the corresponding phonebook is deleted, the shortcut will become invalid.

Related
  • Using Phonebook


Radmin connection modes

  • Overview of connection modes
  • Current connection mode
  • Related topics

Overview of connection modes

You can connect to a remote computer in the following modes:

  • Full Control

    Shows you desktop of the remote computer and allows you to control it with your local mouse and keyboard. More info...

  • View Only

    This mode is the same as full control mode, but only allows you to view the remote computer screen. More info...

  • Telnet

    Text-mode connection to the remote computer to use system commands and launch text-mode applications without a graphical interface. More info...

  • File Transfer

    File transfer connection that lets you manipulate remote computers files and folders. Supports two-way file transfer with an auto-resume feature. More info...

  • Shutdown

    Special connection to shut down the remote computer with two mouse clicks. More info...

  • Chat

    Lets you converse with all users who are connected to the same computer via text chat. More info...

  • Voice Chat

    Lets you talk using a microphone with all users who are connected to the same computer. More info...

  • Send Message

    Sends a text message that pops up on the remote computer. More info...

  • Intel® AMT

    This is a special connection that enables you to turn a remote computer on or off, manage the remote computer’s BIOS settings, control the remote computer’s boot process before the operating system is loaded and boot the remote computer from a local CD or from an ISO file. More info...

Current connection mode

Connections from phonebook records are initiated using the connection mode selected in the toolbar ( [image] illustration).

Connection mode selector
Connection mode selector

Related
  • How to use Radmin Server
  • Connecting to a remote computer


Full Control and View Only connection modes

When using Full Control or View Only connection mode, you will see the remote computer desktop inside a window or as your full screen (depending on the connection options you are using) ( [image] illustration).

Full Control connection mode
Full Control connection mode

If you are connected in Full Control connection mode, you can control the remote desktop using your keyboard and mouse as if you were sitting in front of it.

To access the connection options, use the window menu. You can access this menu by right-clicking on the connection window or by pressing a configurable keyboard shortcut.

  • How to control a remote computer using the "Full Control" connection mode.
  • How to use the "Window Menu" for additional "Full Control" or "View Only" connections features.
  • How to use the "Window toolbar".
  • How to change a connection options
  • How to assign and use the hotkeys
  • How to share clipboard with the remote computer
  • How to show the remote desktop in full screen or scaled mode
  • How to change the way a remote computer's cursor is displayed

Related
  • Using Radmin Viewer


Controlling the remote computer

When you have connected to the remote computer in "Full Control" mode, all your mouse movement and keyboard actions will transfer to the remote computer. If the remote computer desktop appears inside a window (in Normal or Stretch display mode) mouse actions will transfer to the remote computer only if the mouse pointer is inside the Radmin window.

note The remote computer mouse follows the local computer mouse only when local computer mouse moves. If the local mouse is not moving, the remote computer user can move that computer's mouse freely.

You can configure Radmin to display the remote cursor in different ways. For details, refer ro remote cursor displaying.

When the Full Control connection window is active, all keystrokes will transfer to the remote computer. You can enable the "Full keyboard control" feature in order to send special key combinations:

  • If Radmin Viewer does not use "Full keyboard control"

    Windows shortcut keys ( see list) will affect the local computer.

    List of standard Windows shortcuts affected by the "Full Keyboard Control" feature:

    • <Alt>+<Tab>
    • <Ctrl>+<Esc>
    • <Alt>+<PrintScreen>
    • <Alt>+<Space>
    • <Alt>+<Esc>
    • <PrintScreen>
    • <Alt>+<Enter>

  • If Radmin Viewer uses "Full keyboard control"

    All Windows shortcut keys will affect the remote computer.

    note <Ctrl>+<Alt>+<Del>, <Win>+<L> is a special Windows shortcut that is not affected by "Full keyboard control". You can send this shortcut either by using the window menu or by assigning and using a hotkey.

Related
  • "Full Control" connection mode


Using window menu

If the "Full Control" / "View Only" connection is in Normal or Stretch display mode, you can open the window menu by right-clicking on the window’s caption. Another way to access this menu is by assigning and using a hotkey.

The window menu ( [image] illustration) has following menu items (some are disabled in "View only" mode):

Remote Screen window menu
Remote Screen window menu

  • Launch

    Lets you launch additional connections in different connection modes to the same remote computer.

    tip When you are using the "Launch" command, there is no need to enter your login information again for each connection.

  • Normal/Stretch/Full Screen/Stretch to Full Screen view

    Lets you choose a Remote Screen window view mode.

  • Send Ctrl-Alt-Del

    Lets you send the Ctrl-Alt-Del key combination to the remote computer.

    note On Windows 8/7/Vista the Ctrl-Alt-Del key combination may not be available due to system security settings. You can change security settings located in the "Group Policy Editor" -> "Computer Configuration" -> "Administrative Templates" -> "Windows Components" -> "Windows Logon Options" -> "Disable or enable software Secure Attention Sequence". Settings must be set to one of the following: "Not Configured", "Disabled", "Enabled" with a value "Ease Of Access applications" or "Enabled" with a value "Services and Ease Of Access applications".

  • Send Key

    Lets you send Windows and Radmin shortcuts.

    tip You can use the " Full keyboard control" feature to send Windows shortcuts directly.

  • Get Clipboard

    Copy the remote computer's clipboard into the local computer clipboard. More info...

  • Set Clipboard

    Copy the local computer's clipboard into the remote computer's clipboard. More info...

  • Select Remote Monitor

    Lets you view specified monitor or entire remote computer desktop.

  • Options...

    Lets you access a Connection Options.

  • About...

    Displays information about the application.

Related
  • "Full Control" connection mode


Using window toolbar

The "Full Control" / "View Only" connection window toolbar includes the following commands:

– Lets you connect to the remote computer using Full Control connection mode.
– Lets you connect to the remote computer using View Only connection mode.
– Lets you connect to the remote computer using Telnet connection mode.
– Lets you connect to the remote computer using File Transfer connection mode.
– Lets you connect to the remote computer using Text Chat connection mode.
– Lets you connect to the remote computer using Voice Chat connection mode.
– Lets you connect to the remote computer using Send Message connection mode.
– Lets you connect to the remote computer using Shutdown connection mode.
– Sets the view mode so the remote desktop will appear in a resizeable window at a 1:1 aspect ratio.
– Sets the view mode so the remote desktop will appear in a resizeable window. If you resize the window, the display will zoom in or out so it continues to fit in it.
– Sets the view mode so the remote desktop will use the full screen.

tip If the remote desktop has a higher resolution than the local desktop, you can move your mouse pointer near the screen's sides to scroll the remote desktop.

– Sets the view mode so the remote desktop will use the full screen and the display will zoom in or out so it continues to fit in it.
– Lets you send Windows and Radmin shortcuts to the remote computer.
– Lets you send the Ctrl-Alt-Del key combination to the remote computer.
– Lets you copy the remote computer's clipboard into the local computer clipboard. More info...
– Lets you copy the local computer's clipboard into the remote computer's clipboard. More info...
– Lets you choose the remote monitor to view.
– Lets you access a Connection Options.
– Lets you close the current connection.

Related
  • "Full Control" connection mode


Changing connection options

For Full Control and View Only connections you can change the same options as for Radmin Viewer. Any changes you make become effective immediately.

  • General Remote Screen options
  • Full Control options
  • Remote Screen options

Options are applied instantly.

Related
  • "Full Control" connection mode


Using hotkeys

You can configure three hotkeys for the "Full Control" / "View Only" connection modes using Radmin Viewer options:

  • Send Ctrl+Alt+Del

    Sends the <Ctrl>+<Alt>+<Del> key combination to the remote computer.

  • Send Win+L

    Sends the <Win>+<L> key combination to the remote computer.

  • Normal/Full screen/Stretch view

    Switches the connection window view modes to "normal", "full screen" or "Stretch". More info...

  • Show window menu

    Displays the window menu if "full screen mode" is selected.

    tip You can access toolbar function from the keyboard using "window menu" hotkeys.

Related
  • "Full Control" connection mode


Sharing the clipboard

When connected in Full Control mode, you can exchange text clipboard information between the remote and local computers using the "Get Clipboard" and "Set Clipboard" functions of the window menu.

To transfer clipboard information from a local computer to a remote computer:
  1. Connect to the remote computer using the "Full Control" connection mode.

  2. Access a window menu.

  3. Select the "Set Clipboard" menu item. Text information from the local clipboard will be sent to the remote clipboard.

To transfer clipboard information from remote computer to local computer:
  1. Connect to the remote computer using the "Full Control" connection mode.

  2. Access a window menu.

  3. Select the "Get Clipboard" menu item. Text information from the remote clipboard will be sent to the local clipboard.

Related
  • "Full Control" connection mode


Scaling the remote screen window

  • View modes
  • Switching view modes
  • Related topics

View modes

When Radmin Viewer is connected in Full Control or View Only mode, it can display the remote computer desktop using different modes:

  1. Normal View

    The remote desktop will appear in a resizeable window at a 1:1 aspect ratio.

  2. Stretch View

    In this mode the remote desktop will appear in a resizeable window. If you resize the window, the display will zoom in or out so it continues to fit in it.

  3. Full screen View

    In this mode the remote desktop will use the full screen.

    tip If the remote desktop has a higher resolution than the local desktop does, you can move your mouse pointer near screen's sides to scroll the remote desktop.

  4. Full screen stretch View

    In this mode the remote desktop will use the full screen and the display will zoom in or out so it continues to fit in it.

go to top

Switching view modes when connected

When connected in Full Control or View Only mode you can switch the current view mode in two ways:

  1. Using the window menu

    To switch the view mode using a window menu:
    1. Access the window menu.

    2. Select "Normal View", "Full screen View", "Stretch View" or "Full screen stretch View" from the menu.

  2. Using a hotkey

    To switch the view mode using hotkeys:
    1. Access Radmin Viewer Options and configure a "Toggles Full Screen View" hotkey.

    2. Press configured hotkey repeatedly to cycle through different view modes.

go to top

Related
  • "Full Control" connection mode


Displaying remote cursor

Radmin Viewer will automatically display remote computer's mouse the way it is configured in the options.

Related
  • "Full Control" connection mode


Telnet connection mode

When the computers are connected using telnet connection mode, Radmin will display the "Telnet" window ( [image] illustration). This window lets you issue commands and displays any responses.

"Telnet" window
"Telnet" window

warning Radmin does not support telnet access to Win98/ME systems due to limitations of their "command.com" windows component.

You can enter operating system commands and start programs as you would in the "cmd" or "command" system utility. If the command produces some text output, Radmin will display it.

note "Telnet connection mode" is not a full-featured telnet session to the remote computer. It just transfers text input to the remote computer’s command-prompt interpreter and transfers back its responses. You will not be able to use advanced telnet features, –such as running full screen text-mode applications. For such applications, use the Full Control connection mode.

note Some Win32 console applications use direct access to the console. Such applications can't work via telnet connection mode. For such applications, use the Full Control connection mode.

Related
  • Using Radmin Viewer


File Transfer connection mode

When connected using File Transfer connection mode, Radmin will display the "File Transfer" window ( [image] illustration). This window lets you transfer files through an easy-to-use interface.

"File transfer" window
"File transfer" window

Using this interface you can transfer files to and from the remote computer and create, rename and delete folders on both local and remote computers. More info...

File Transfer connection mode fully supports unicode names and can work with files and folders named in any language.

Radmin has a "delta-copy" feature that only updates the parts of the file that differ on the two computers. This feature lets you continue copy operations after network faults from the place where you were when the interruption occurred and not from the beginning.

Related
  • Using Radmin Viewer


File Transfer interface

  • Using the toolbar
  • Hotkeys
  • Using drag-and-drop
  • Selecting files and folders
  • Related topics

The File Transfer window ( [image] illustration) interface is mirrored in two panes. The left pane shows the local computer's files and the right pane shows the remote computer's files. You can navigate freely inside either pane to find files and folders:

"File transfer" window
"File transfer" window

Using the toolbar

  • current path selector "Current path"

    This dropdown box has two functions: it contains paths for the last 12 directories visited and lets you display any of these directories by clicking on its path. Second, you can enter any valid path and when you press the <Enter> key the contents at that location will display.

  • "up" button "Up"

    Shows the content of any parent folder.

  • "Refresh"

    Update file information.

  • "copy" button "Copy"

    Copies selected files and/or folders from one pane to another.

  • "delete" button "Delete"

    Deletes selected files and folders.

    warning Since this button can delete important files on both local and remote computers, it should be used with maximum caution. Files deleted by Radmin Viewer cannot be recovered from the system "recycle bin".

  • "create directory" button "Create Directory"

    Creates a new directory.

  • "Icons View Mode" button "Icons View Mode"

    Allows the user to select any of four different icons view modes:

    • Large icons

      All files and folders appear as large (32 x 32 pixils) icons with their names as labels.

    • Small icons

      All files and folders appear as small (16 x 16 pixils) icons with their names as labels.

    • List

      All files and folders appear as small (16 x 16 pixils) icons with their names as labels, organized vertically.

    • Details

      All files and folders appear as small (16 x 16 pixils) icons with detailed information such as size, modification date and attributes.

go to top

Hotkeys

Hotkeys list for File Transfer connection mode:

<Alt>+<F1>

Access the local computer's folder selection menu (in the left panel).

<Alt>+<F2>

Access the remote computer's folder selection menu (in the right panel).

<Alt>+<Enter>

Item properties.

<Ctrl>+<N>

Creates a new file transfer connection window.

<Ctrl>+<A>

Selects all files and directories.

<Ctrl>+<F3>

Sort by name.

<Ctrl>+<F4>

Sort by type.

<Ctrl>+<F5>

Sort by time.

<Ctrl>+<F6>

Sort by size.

<F2>

Rename a selected file or folder.

<F5>

Copy selected files and directories to/from the remote computer.

<F7>

Create a new folder.

<F8>, <Del>

Delete a selected file or folder.

<Shift>+<F5>

Refresh the active pane.

<Shift>+<F7>

Edit the active pane's path.

<Shift>+<F10>, <Apps>

Display the file or folder context menu.

<Enter>

Open a selected file in the local computer pane.

<Backspace>

Show the contents of the parent folder/drive.

<Tab>

Switch between panes.

<Esc>

Move the focus from the local or remote folder path to its file listing.

go to top

Using drag-and-drop

You can copy files and folders to and from the remote computer by dragging and dropping them from one pane to another.

go to top

Selecting files and folders

Using the File Transfer interface you can select multiple files and/or folders for copy and delete operations as you do with Explorer:

  • Select any file or folder by clicking on it.

  • Clicking on a file or folder while holding down the <Ctrl> key will add it to or exclude it from the current selection.

  • Clicking on a file or folder while holding down the <Shift> key will select all files and folders between it and last item you selected.

  • Holding the left mouse button and dragging a selection rectangle will select the group of files and/or folders within the rectangle.

go to top

Related
  • "File Transfer" connection mode


Copying files

Select the files and/or folders you want to copy and then use one of these methods:

  • Click the "copy" icon "Copy" toolbar icon.

  • Drag-and-drop the selected files and/or folders to any folder or empty space on the other panel.

  • Right-click the selected files and/or folders and select "transfer" in the context menu

  • Press the <F5> hotkey.

The "Copy progress" window will be displayed ( [image] illustration). This window displays the copy operation progress and allows you to cancel the copy operation.

"Copy progress" window
"Copy progress" window

If the copy operation is interrupted, you can make a second attempt and the transfer will resume from the point of interruption. More info...

Related
  • "File Transfer" connection mode


Using "DeltaCopy" feature

The "DeltaCopy" feature lets you continue a copy operation after a network failure or connection interruption from the place where the fault occurs and not from the beginning.

Radmin uses "DeltaCopy" automatically when you copy any file to or from a remote computer. For each section of source and destination files, Radmin calculates a control value, and this value (several bytes) is transferred to the other computer and compared. If the sums are equal no data for section is sent over the network and the system examines the next section in the same way until it finds a section that has not yet been copied.

Related
  • "File Transfer" connection mode


Shutdown connection mode

Using shutdown connection mode you can power off, restart or log off the remote computer without needing to connect using Full Control mode. When you connect in this mode, Radmin displays the "remote shutdown" window ( [image] illustration).

"Remote shutdown" window
"Remote shutdown" window

This window lets you select an action to perform. Press the Ok button to perform the action on the remote computer, or click Cancel to close this window:

  • Restart the remote computer

    Will force the remote computer to restart.

  • Shut down the remote computer

    Will shut down the remote computer to the point where its safe to turn off the power. Depending on the computer configuration, power may shut off automatically.

  • Switch off the remote computer

    Will shut down the remote computer and try to power it off. For power-off to succeed the system should support an automatic power-off feature and be configured to do so.

note There will be no way to prevent remote computer reboot, shutdown or switch off.

Related
  • Using Radmin Viewer


Text Chat connection mode

Lets two or more users to communicate with each other using shared text messages.

  • Channels

    A "channel" is a virtual union of users where each user can see messages that are posted to the channel. One user can join many channels, but only one channel can appear at a time. Details...

  • Private messages

    Only specified users can see "Private" messages. Details...

  • Popup messages

    A "popup" message will appear in its own window. It will be visible even if the target user has minimized the text chat window. Details...

  • Moderation

    Lets you prevent another user from sending messages to specific channels. Details...

  • Detailed users info

    Displays user information such as away time and description. Details...

  • Away system

    The away system lets you find out if another user is currently paying attention to a chat window. Details...

  • Text coloring

    Lets you add individuality to messages through the use of colors. Details...

  • Text commands

    Lets you access most chat functions via text commands. Details...

Related
  • Using Radmin Viewer
  • Voice Chat


Text Chat user interface

The main chat window ( [image] illustration) has the following sections ( [image] illustration):

Main window
Main window

Main window parts
Main window parts

  1. Channel names

    Contains the names of channels a user is joined to. Switch the Active channel by clicking on the corresponding caption. Details...

  2. Toolbar

    The toolbar gives access to the most important text chat commands with a single click.

  3. Chat Log

    Displays a user's text messages. Each public and private channel has its own log that you can view by switching channels.

  4. Users list

    Contains the list of users joined to the active channel. Details...

  5. Text input field

    Use the text input field to enter text messages. When you hit <Enter>, the text you entered will be sent to the active channel. To enter multiline text, use the <Ctrl>+<Enter> key combination for line breaks.

  6. Horizontal splitter
  7. Vertical splitter

    Lets you change the dimensions of the chat window components.

Related
  • Using phonebook


Sending messages

Related
  • Message overview
  • Sending messages to a public channel
  • Sending a private message to a user
  • Related topics

Message overview

To send a message to the active channel enter text into the text input field and hit <Enter>. Use <Ctrl>+<Enter> for line breaks.

note If any text is unreadable (it will appear as squares, question marks or incorrect characters) set the correct font and font language for all message types.

go to top

Sending messages to a public channel

To send a message to a public channel:
  1. Switch to the target channel.

  2. Enter the message text in the text input field and hit <Enter>.

go to top

Sending a private message to a user

To send a private message to a user:
  1. Double-click on the target user's nickname in the users list. A private channel with this user will open. The name of this channel will be the same as the target user's nickname ( [image] details).

    A private channel can be opened in a number of ways:

    • Double-click on the target user's name in the users list.

    • Right-click on the target user's name in the users list and select Private message from the context menu.

    • Select the target user and use the "Users"->"Private Message" menu command.

    • Enter the "/query <user name>" text command (for example, "/query Jack High", without quotas)

  2. Enter your message in the text input field and hit the <Enter> key.

go to top

Related
  • Using text chat


Popup messages

Related
  • Sending Popup messages
  • Related topics

Sending Popup messages

To send a popup message:
  1. Select one or more users from the user list.

  2. Issue the Send popup message command by right-clicking on any selected user and selecting the "Popup Message" menu item. ( [image] details).

    The Send popup message command can be issued in a number of ways:
    • By selecting the "User"->"Popup Message" menu command.

    • By right-clicking on selected user and selecting "Send popup message" menu item.

  3. The "Send popup message" window will appear ( [image] illustration).

    "Send popup message" window
    "Send popup message" window

  4. Enter message text and click on the "Send" button. The message will be sent to all selected users. A "received popup message" window will appear for each user ( [image] illustration).

    "Received popup message" window
    "Received popup message" window

Related
  • Using text chat


Using Text Chat channels

  • Overview of channels
  • Public channel
  • Private channel
  • Active channel
  • Channel password
  • Operator password
  • Sending messages to a channel
  • Joining an existing channel
  • Creating a new channel
  • Exiting a channel
  • Changing channel settings
  • Requesting operator privileges
  • Switching channels
  • Related topics

Overview of channels

A "channel" is a virtual union of users where each user can see messages that are posted to the channel. One user can join many channels, but can see only one of them at a time. All users automatically join to the channel named "#general".

The Text Chat interface manages channels using the following elements:

  • Channels names list at the top of the window

    Displays the names of all channels a user is joined to. The channel currently on display is called the Active channel and the tab bearing its name is marked as active.

  • Active channel log

    This appears between the channel list and the input field, and displays a log of all messages sent by users of the active channel. Depending on the chat options you choose, new messages will appear either at the bottom or top of the log window.

  • Users list

    This appears on the right and displays the list of users joined to the active channel. Use this list to send private messages, view users information and perform moderation actions.

go to top

Public channel

Permits users to see each other's messages.

go to top

Private channel

A private channel appears automatically when you send or receive a private message. It allows two users to communicate privately. It retains a log of the conversation until private channel is closed.

go to top

Active channel

The currently selected channel in the channel list is the "active channel". The log displays messages for the active channel and the users list displays the list of users joined to the active channel. Any message entered in the input field will go to the active channel.

go to top

Channel password

You can set a channel password when you create a new public channel or change existing channel settings. If this option is active, each user will need to enter the correct password in order to join a channel.

go to top

Operator password

You can set the operator password when creating new public channel or changing existing channel settings. . If this option is active, the user can acquire operator privileges by entering the correct password.

go to top

Sending messages to a channel

To send a message to a channel:
  1. Select the target channel name in the channels list.

  2. Enter the message text in the text input field.

  3. Hit <Enter>.

go to top

Joining an existing channel

To join an existing channel:
  1. Issue the "Join Channel" command by clicking the [image] "join channel" toolbar button ( [image] details).

    The "join channel" command can be issued in a number of ways:
    • By clicking [image] "join channel" toolbar button.

    • By using the "Channels"->"Join Channel" menu command.

    • By hitting the <Ctrl>+<J> hotkey.

    • By using the "/join <channel name>" text command.

  2. The "Join channel" window will appear ( [image] illustration). For channels that have a channel password a "key" icon will appear on the left.

    "Join Channel" window
    "Join Channel" window

  3. Select the existing channel from the list and click on the <Join> button. If the selected channel has a password enabled, the "Channel Join Mode" window will appear ( [image] illustration).

    "Channel Join Mode" window
    "Channel Join Mode" window

    If a channel has both a channel and an operator password, select the desired rights and enter the password. If you selected "Join as operator", you will have operator privileges when you join the channel.

go to top

Creating a new channel

To create a new channel:
  1. Issue the Create channel command by clicking the [image] Create channel toolbar button ( [image] details).

    The Create channel command can be issued in a number of ways:
    • By clicking on the [image] "Create channel" toolbar button.

    • By selecting the "Channels"->"Create" menu command.

    • By hitting the <Ctrl>+<N> hotkey.

    • By using the "/join <channel name>" text command.

  2. The "Create channel" window will appear ( [image] illustration).

    "Create Channel" window
    "Join Channel" window

  3. Enter the new channel name and the channel password or operator password as required.

  4. Hit <OK>. If a channel with the same name already exists, Radmin Viewer will try to join you to it without any passwords.

go to top

Exiting a channel

When the last user leaves a channel, it is destroyed automatically. Radmin will notify the last user of this.

To exit a channel you have joined:
  1. Select the target channel name in the channels list.

  2. Issue the Leave channel command by clicking on the [image] "leave channel" toolbar button ( [image] details).

    The leave channel command can be issued in a number of ways:
    • By clicking on the [image] "leave channel" toolbar button.

    • By using the "Channels"->"Leave Channel" menu command when the target channel is active.

    • By hitting the <Ctrl>+<L> hotkey when the target channel is active.

    • By using the "/leave <channel name>" text command.

    • By right-clicking on the channel name or active channel log and selecting the Leave menu item.

go to top

Changing channel settings

All channels except the "#general" channel and private channels have their own settings for channel password and operator password.

To exit, view, and change channel settings:
  1. Select the target channel name in the channels list.

  2. Issue the Channel settings command by using the "Channels"->"Channel Settings" menu item.

  3. The "Channel Settings" window will appear ( [image] illustration).

    "Channel Settings" window
    "Channel Settings" window

  4. If you have operator privileges on the channel, you can adjust channel settings.

  5. Click the Change button.

go to top

Requesting operator privileges

All channels except the "#general" channel and private channels can have the operator password enabled.

To acquire operator privileges on a channel:
  1. Select the target channel name in the channels list.

  2. Issue the Request Operator Privileges command by using the "Channels"->"Request Operator Privileges" menu item.

  3. The "Request Operator Privileges" window will appear ( [image] illustration).

    "Request Operator Privileges" window
    "Request Operator Privileges" window

  4. Enter the operator password and click the Request button.

go to top

Switching channels

You can switch channels by clicking the target channel name in the channels list or by pressing the <Ctrl>+<Tab> key combination to cycle through the list.

go to top

Related
  • Using text chat


Using the message notification system

A notification system lets you know when new messages have been posted to non-active public or private channels. When a new message appears in a non-active channel, an icon will appear in front of channel’s name in the channels list.

Public message notification

Occurs when a message is received on a non-active public channel. Indicated by the icon:

Private message notification

Occurs when a message is received on a non-active private channel. Indicated by a flashing icon:

These icons will disappear when the channel becomes active.

note If Radmin Viewer is configured to show the tray icon, this icon will flash with each new private message.

Related
  • Using text chat


Text Chat users' status system

  • Status system overview
  • Granting operator privileges
  • Removing operator privileges
  • Setting "mute" status
  • Removing "mute" status
  • Removing user from tha channel
  • Related topics

Status system overview

When you create a channel, you acquire operator privileges on it. Users with operator privileges can perform the following actions:

  1. Change channel settings.

  2. Grant and remove operator privileges for any user on the same channel.

  3. Remove any user from the channel.

  4. Set and remove "mute" status for any user on the same channel who does not have operator privileges. A user with "mute" status on a particular channel cannot send messages to that channel.

User status is indicated with an icon to the left of the user's name in the users list:

Normal user, not an operator and not muted
User with operator privileges
User is muted

go to top

note If some menu items are shown as disabled, this means either that you do not have the required rights or that you cannot perform that action on that user.

Operators can use the following commands:

Granting operator privileges

To grant operator privileges to a user:
  1. Right-click on the target user name in the users list. The menu will appear ( [image] illustration).

    User menu
    User menu

  2. Select the Grant Operator Privileges menu item.

You can also grant operator rights with the "/op <user name>" text command,

go to top

Removing operator privileges

To remove operator privileges from a user:
  1. Right-click on the target user name in the users list. The menu will appear ( [image] illustration).

    User menu
    User menu

  2. Select the Remove Operator Privileges menu item.

You can also remove operator rights with the "/deop <user name>" text command.

go to top

Setting "mute" status

To set "mute" status for a user:
  1. Right-click on the target user name in the users list. The menu will appear ( [image] illustration).

    User menu
    User menu

  2. Select the Mute menu item.

You can also set "mute" status with the "/mute <user name>" text command.

go to top

Removing "mute" status

To remove "mute" status from a user:
  1. Right-click on the target user name in the users list. The menu will appear ( [image] illustration).

    User menu
    User menu

  2. Select the Remove Mute menu item.

You can also remove "mute" status with the "/unmute <user name>" text command.

go to top

Removing a user from the channel

To remove a user from the channel:
  1. Right-click on the target user name in the users list. The menu will appear ( [image] illustration).

    User menu
    User menu

  2. Select the Remove User from the Channel menu item.

go to top

Related
  • Using text chat


Using Text Chat user descriptions

You can set an extended user description in options so that other users can view it.

You can view descriptions in the following ways:

  1. Right-click on the target user's name and select the Get info menu item. A window with the user description will appear ( [image] illustration).

    User info window
    User info window

  2. Use the "/userinfo <user name>" text command.

Related
  • Using text chat


Using Text Chat nicknames

  • Changing a nickname for a phonebook record
  • Changing a nickname during chat
  • Temporarily changing a nickname during chat
  • Related topics
You can specify nicknames in the phonebook record settings.

Changing a nickname for a phonebook record

The change affects all connections made using a phonebook record.

To change a nickname for a phonebook record:
  1. Right-click on the target phonebook record and select the "Properties" menu item. The "Connection properties" window will appear ( [image] illustration).

    Connection properties window
    Connection properties window

  2. Select the Chat tab ( [image] illustration).

    Chat connection settings
    Chat connection settings

  3. Enter a nickname.

  4. Click on the Ok button.

go to top

Changing a nickname during chat

To change a nickname during chat and update the phonebook record:
  1. Issue a "Settings" command by clicking on the [image] "Settings" toolbar button ( [image] details). The "Chat Settings" window will appear ( [image] illustration).

    The Settings command can be issued in a number of ways:
    • By clicking on the [image] Settings toolbar button.

    • By selecting the "Tools"->"Settings" menu command.

    • By hitting the <Ctrl>+<T> hotkey.

    Chat settings window
    Chat settings window

  2. Enter the new nickname.

  3. Click on the Ok button to change the nickname. The setting of the corresponding phonebook record (if it exists) will be updated.

go to top

Temporarily changing a nickname during chat

To temporarily change a nickname during chat:
  1. Issue the "Change Nick" command by clicking on the [image] "Change Nick" toolbar button ( [image] details). The "Change nick" window will appear ( [image] illustration).

    Change Nick command can be issued in a number of ways:
    • By clicking on the [image] "Change Nick" toolbar button.

    • By selecting the "Chat"->"Change Name" menu command.

    • By hitting the <Ctrl>+<E> hotkey.

    • By using the "/nick <nickname>" text command, for example: "/nick Agent Smith".

    Change nick window
    Change nick window

  2. Enter the new nickname.

  3. Click on the Ok button.

go to top

Related
  • Using text chat


Using the Text Chat away system

  • Away system overview
  • Setting "away" status
  • Removing "away" status
  • Checking another user's away information
  • Related topics

Away system overview

The away system lets you find out if another user is currently paying attention to the chat window.

Away status is indicated by icon color in the users list:

icon

status

away state
normal user | online
normal user | away
operator | online
operator | away
user is muted | online
user is muted | away

The following functions are available:

go to top

Setting "away" status

To set status to "away":
  1. Issue the set away command by clicking on the [image] "set away" toolbar button ( [image] details).

    The Set away command can be issued in a number of ways:
    • By clicking on the [image] "Set away" toolbar button.

    • By selecting the "Chat"->"Set Away Status" menu command.

    • By hitting the <Ctrl>+<W> hotkey.

    • By using the "/away <reason text>" text command.

  2. The "Set away reason" window will appear ( [image] illustration).

    "Set Away" window
    "Set Away" window

    This window will contain a default away message that can be created or edited in options or phonebook record settings. Enter an away message text if desired and click on the Set Away button.

go to top

Removing "away" status

To remove "away" status:
  1. Issue the "Return from away" command by clicking on the [image] "return from away" toolbar button ( [image] details).

    The Return from away command can be issued in a number of ways:
    • By clicking on the [image] "return from away" toolbar button.

    • By selecting the "Chat"->"Return From Away" menu command.

    • By hitting the <Ctrl>+<R> hotkey.

    • By using the "/back" text command.

go to top

Checking another user's away information

You can view user information in the following ways:

  1. Right-click on the target user's name and select the Get info menu item. A window with the user’s away information will appear ( [image] illustration).

    "User Info" window
    "User Info" window

  2. Use the Get user info toolbar button or associated hotkey <Ctrl>+<I>.

  3. Use the "/userinfo <user name>" text command.

go to top

Related
  • Using text chat


Using colors

You can display text messages in different colors to improve visual effect and add individuality. Use the "Color picker" toolbar button [image] or the "<Ctrl>+<K>" key combination to pop-up the "Color picker" window ( [image] illustration) for selecting the current color or coloring selected text.

Color picker window
Color picker window

When the Color picker window appears, click on the corresponding color tab or use any of the highlighted letters as a hotkey to select a color.

  • If no text is selected when you choose a new color

    All text entered from the current position will be in the chosen color until you choose a new color. The chosen color is called the current color.

  • If a portion of the text is selected

    The selected text will be colored according to the color chosen. The current color (for new text) will not change.

Related
  • Using text chat


Using text commands

  • /join - Join channel
  • /leave - Leave Channel
  • /away - Set "away" status
  • /back - Remove "away" status
  • /op - Grant operator privileges
  • /deop - Remove operator privileges
  • /mute - Set "mute" status
  • /unmute - Remove "mute" status
  • /query - Open private channel
  • /userinfo - Get user description
  • /me - Send third-party message
  • /nick - Change nick
  • /help - Text commands help
  • Related topics

You can access most chat functions by using special text commands that begin with the "/" symbol.

warning This should be enabled in settings.

All text commands consist of a command and optional arguments, divided by a single space. The following list defines all text commands with all possible arguments. Argument descriptions and required punctuation symbols are enclosed in angled brackets.

Text commands list

  • Join channel / Create channel

    /join <space><channel>

    Joins the channel with the specified name if it exists; otherwise creates a new one.

    go to top

  • Leave Channel

    /leave

    Exits the active channel.

    /leave <space><channel name>

    Exits the channel with the specified name.

    go to top

  • Set "away" status

    /away

    Sets your status to "away" with a default away message.

    /away <space><away reason text>

    Sets your status to "away" with a specified away message.

    go to top

  • Remove "away" status

    /back

    Removes your "away" status.

    go to top

  • Grant operator privileges

    /op <space><user name>

    Grants operator privileges on the active channel to the specified user.

    go to top

  • Remove operator privileges

    /deop <space><user name>

    Removes operator privileges on the active channel from the specified user.

    go to top

  • Set "mute" status

    /mute <space><user name>

    Sets status to "mute" on the active channel for the specified user.

    go to top

  • Remove "mute" status

    /unmute <space><user name>

    Removes "mute" status on the active channel for the specified user.

    go to top

  • Open private channel

    /query <space><user name>

    Opens a private channel for the specified user.

    go to top

  • Get user description

    /userinfo <space><user name>

    Retrieves information on the specified user.

    go to top

  • Send third-party message

    /me <space><message text>

    Lets you display a text message "as is" with the user name added as the first word.

    go to top

  • Change nick

    /nick <space><new nickname>

    Changes the current nickname to a specified new one.

    go to top

  • Text commands help

    /help

    Displays a list of all text commands.

    /help <space><text command name>

    Shows the detailed help for the specified text command.

    go to top

Related
  • Using text chat


Using the Text Chat File Log

Text chat allows the user to save all text conversations as files. You can enable this feature in the chat options. A file named "maintoc.htm" will be created in the specified directory and will contain links to the Text Chat logs.

In case of any log file saving errors the text chat will display an error message. If that happens, make sure the specified directory exists and that files inside it can be created and accessed. Some programs (such as Microsoft Word) prevent other applications from changing files that are open, so be sure to close any log files after viewing them.

Related
  • Using text chat


Voice Chat connection mode

Enables two or more users to communicate with each other using microphones and speakers. The following functions are available:

  • Easy talk system

    Lets you begin talking by clicking on a single button.

  • Public Channel

    A "channel" is a virtual union of users where each user can hear other users joined to same channel. Details...

  • Private channels

    A "private" channel allows two users to speak privately. Details...

  • Conference channels

    A "conference" channel allows users to speak one at a time in a queued order. Details...

  • Moderation

    Allows users to create password-protected channels, change the channel type between "public" and "conference", and manage the microphone in conference channels. Details...

  • Detailed user info

    Displays user information such as away time and description. Details...

  • Away system

    Lets you see which users are busy at the moment. Details...

Related
  • Using Radmin Viewer
  • Text Chat


Voice Chat user interface

The Voice Chat window ( [image] illustration) has the following sections ( [image] illustration):

Main window
Main window

Main window parts
Main window parts

  1. Channel type

    Icons that display the channel type and password protection.

  2. Toolbar

    Used for accessing the most important commands.

  3. Channel name

    Displays the channel name.

  4. User type

    Icons that display user state and status, and whether they are muted.

  5. User name

    Displays the user name.

  6. Active channel

    Contains the name and the user list for the active channel. Details...

  7. Splitter

    Lets you change the size of the active channel area and that of other channels.

  8. "Talk" button

    Clicking on this button or hitting the spacebar will initiate voice transmission on the active channel. Details...

  9. "Talk" button label

    Displays current talk status.

  10. Other channels

    Contains the names of non-active channels and their user lists.

  11. Mute checkbox

    If this option is unchecked, no sound will be transmitted.

  12. Wave volume slider

    Lets you set the audio volume.

  13. Microphone sensivity slider

    At the slider's minimum the microphone will transmit only those words spoken close to it. At its maximum the microphone will transmit all sounds, including background noise.

  14. Log

    Contains useful information and error descriptions.

Related
  • Using voice chat


Communicating in Voice Chat

  • Starting talk
  • Confirming conference speech
  • Stopping talking
  • Related topics

Starting talk

To start talking:
  1. Hold down the <spacebar> or click on the Talk interface button.

  2. Alternatively, you can use hotkeys to start talking while other program is active.

go to top

Confirming conference speech

To confirm conference speech:
  1. If you are in a conference channel queue and it is your turn to speak, Radmin will display your speaker status ( [image] illustration).

    Talk confirmation window
    Talk confirmation window

  2. Click on the Accept button.

go to top

Stopping talking

To stop talking:
  1. If you were talking while holding down the <spacebar>, release it.

  2. If you were talking after clicking on the Talk button, click it again.

  3. Alternatively, you can use hotkeys to stop talking.

    note If you are currently in queue, you will be removed from the queue.

go to top

Related
  • Using voice chat


Using Voice Chat hotkeys

  • Hotkeys overview
  • Using hotkeys with multiple voice chat windows
  • Related topics

Hotkeys overview

Hotkeys can be used to start and stop talking while the Voice Chat connection window is minimized or not active:

<Ctrl>+<Shift>+<Q>

Holding down this hotkey enables talking until the hotkey is released. This is equivalent to pressing the <Space> key while the Voice Chat window is active.

<Ctrl>+<Shift>+<M>

Pressing this hotkey enables talking. This is equivalent to clicking the "Talk" button.

<Ctrl>+<Shift>+<Z>

Pressing this hotkey stops talking. This is equivalent to clicking an already-pressed "Talk" button.

go to top

Using hotkeys with multiple voice chat windows

If multiple Voice Chat windows are active, hotkeys only affects the window that has the Hotkey Focus. To enable or disable hotkey focus for a window, click on the Hotkey Focus button toolbar button or select the menu item: "Tools", "Enable/Disable Hotkeys" Only one window can have the hotkey focus at a time, and enabling the hotkey focus for a window will automatically disable it for any window previously having the hotkey focus.

go to top

Related
  • Using voice chat


Using voice chat channels

  • Channel overview
  • Channel types
  • Public channel
  • Private channel
  • Conference channel
  • Active Channel
  • Joining an existing channel
  • Creating a new channel
  • Leaving a channel
  • Channel settings
  • Related topics

Channel overview

A "channel" is a virtual union of users where each user can hear other users joined to the same channel. A user can be only be joined to one channel at a time and only hear users joined to the same channel, since receiving sound from two or more channels at once results in interference. All users automatically join the channel named "#general".

The Voice Chat interface manages channels using two "user lists", one in the upper part of the interface and one at the bottom ( [image] illustration).

Main window
Main window

Each user list contains a list of channels, and each channel a list of users.

A user list positioned in the upper part of the interface is the "active channel" and displays its users. A user list at the bottom of the interface is referred to as "other channels" and contains channels that have not been joined at the moment.

Manage channels and users using context menus, the upper menu or the toolbar.

go to top

Channel types

Public channels, Private channels and Conference channels are available. Channel type is indicated to the left of the channel name. If a channel is password protected, the "password" icon will appear to the left of the channel type. The following table displays the icons for channel types and password protection:

icon

channel type
Public channel
Private channel
Conference Channel
Channel password enabled

go to top

Public channel

Created using the Create channel command and enables multiple users to hear each other.

go to top

Private channel

Created by issuing and accepting a private request and allows two users to speak privately.

go to top

Conference channel

Created using the Create channel command and allows users to speak in queued order. A user's position in tha queue is shown in digits to the left of the user's nickname. The operator of conference channel can give the microphone to a user.

go to top

Active channel

The channel that is currently joined is displayed in the upper part of the window and is called the "active channel".

go to top

Joining an existing channel

To join an existing channel:
  1. Select the desired channel in the "other channels" list.

  2. Issue the Join channel command by clicking the [image] "Join channel" toolbar button ( [image] details).

    The Join Channel command can be issued in a number of ways:
    • By clicking on the [image] "Join Channel" toolbar button.

    • By selecting the "Channels"->"Join Channel" menu command.

    • By hitting the <Ctrl>+<J> hotkey.

    • By right-clicking on the target channel and selecting the Join channel command from the Channel context menu.

  3. note You cannot directly join private channels or channels bearing the names "#general" and "not in channels".

  4. If a channel has a password, the "Join channel" window will appear ( [image] illustration).

    "Join Channel" window
    "Join Channel" window

    If a channel has both a channel and an operator password, select the desired rights and enter the passwords. If you select "Join as operator" then you will have operator privileges when you join the channel.

go to top

Creating a new channel

To create a new channel:
  1. Issue the Create channel command by clicking the [image] "Create Channel" toolbar button ( [image] details).

    The Create channel command can be issued in a number of ways:
    • By clicking on the [image] Create Channel toolbar button.

    • By selecting the "Channels"->"Create New Channel" menu command.

    • By hitting the <Ctrl>+<N> hotkey.

  2. The "Create channel" window will appear ( [image] illustration).

    "Create Channel" window
    "Create Channel" window

  3. Enter the channel name and optional settings:

    • Channel type

      Selects channel type.

    • Microphone timeout

      If specified, the microphone will be automatically removed from the conference channel user after a specified time.

    • Channel password

      Specifies a password that should be entered to join a channel.

    • Operator password

      Specifies a password that can be used with the request operator privileges command for acquiring operator privileges on a channel.

  4. Click on the <Create> button. The channel will be created and you will automatically join with operator privileges.

go to top

Leaving a channel

When the last user leaves a channel, it is automatically destroyed.

To leave a channel you have joined:
  1. Issue the Leave channel command by clicking the [image] "Leave Channel" toolbar button ( [image] details).

    The Leave channel command can be issued in a number of ways:

    • By clicking on the [image] "leave channel" toolbar button.

    • By selecting the "Channels"->"Leave Channel" menu command while active channel is selected.

    • By hitting the <Ctrl>+<L> hotkey while active channel is selected.

    • By right-clicking on the active channel name and selecting the <Leave> menu command.

go to top

Channel settings

To change the settings of the active channel:
  1. Select the active channel and use the "Channels"->"Channel Settings" menu command ( [image] details).

    The Channel settings command can be issued in a number of ways:

    • By using the "Channels"->"Change Settings" menu command while active channel is selected.

    • By right-clicking on the active channel name and selecting the <Settings> menu command.

  2. note You can only change the settings for public and conference channels created by users.

  3. A settings screen will appear. If you have administrator rights on the channel, you will be able to adjust the settings. Click on the <Change> button to apply changes.

    note If you change the channel type to "conference", all users will stop speaking.

go to top

Related
  • Using voice chat


Voice Chat user status system

Related
  • User status system overview
  • Granting operator privileges
  • Removing operator privileges
  • Giving the microphone to a user
  • Removing a user from the channel
  • Related topics

User status system overview

When you create a channel, you obtain operator privileges on it. Users with operator privileges can perform the following actions:

  1. Change channel settings

  2. Grant and remove operator privileges to any user on the same channel.

  3. Remove any user from the channel.

  4. Give the microphone to any user on the conference channel.

    note You can also remove the microphone from a user by giving the microphone to yourself.

User status is displayed as an icon to the left of the user's name:

Normal user, not an operator
User with operator privileges

go to top

If you have administrator rights, you can use the following commands:

Granting operator privileges

To grant operator privileges to a user:
  1. Right-click on the target user name in the users list. A menu will appear ( [image] illustration).

    User menu
    User menu

  2. Select the Grant Operator Privileges menu item.

go to top

Removing operator privileges

To remove operator privileges from user:
  1. Right-click on the target user name in the users list. A menu will appear ( [image] illustration).

    User menu
    User menu

  2. Select the Remove operator privileges menu item.

go to top

Giving the microphone to a user

To give the microphone to a user:
  1. You and the other user should be joined to a conference-type channel.

  2. Right-click on the target user's name in the users list. A menu will appear ( [image] illustration).

    User menu
    User menu

  3. Select the Give microphone menu item.

  4. The "Confirm conference speech" window will appear at the remote user's end ( [image] illustration).

    "Confirm conference speech" window
    "Confirm conference speech" window

    The remote user should click on the Accept button.

go to top

Removing a user from the channel

To remove a user from the channel:
  1. Right-click on the target user name in the user list. A menu will appear ( [image] illustration).

    User menu
    User menu

  2. Select the "Remove User from the Channel" menu item.

go to top

Related
  • Using voice chat


Using Voice Chat user descriptions

An extended user description can be set in options so that other users can view it.

To view a user description, right-click on the user's name and select the "Get user info" menu item. An information window will appear ( [image] illustration).

User info window
User info window

Related
  • Using voice chat


Using Voice Chat nicknames

  • Changing a nickname for a phonebook record
  • Changing a nickname during chat
  • Temporarily changing a nickname during chat
  • Related topics

Nicknames are specified in phonebook record settings.

Changing a nickname for a phonebook record

See this help section for details.

go to top

Changing a nickname during chat

To change a nickname during Voice Chat and update the phonebook record:
  1. Issue the Settings command by clicking the [image] settings toolbar button ( [image] details). The "Voice chat setting" window will appear ( [image] illustration).

    The Settings command can be issued in a number of ways:
    • By clicking on the [image] settings toolbar button.

    • By selecting the "Tools"->"Settings" menu command.

    • By hitting the <Ctrl>+<T> hotkey.

    Voice chat settings window
    Voice chat settings window

  2. Enter the new nickname.

  3. Click on the "Ok" button.

go to top

Temporarily changing a nickname during chat

You can temporarily change a nickname for the current chat session, but the change will not be saved in the corresponding phonebook record:

To temporarily change a nickname during chat:
  1. Issue the Change nickname command by clicking the [image] "Change Nickname" toolbar button ( [image] details). The "Change Nick" window will appear ( [image] illustration).

    The Change Nickname command can be issued in a number of ways:
    • By clicking on the [image] Change Nickname toolbar button.

    • By selecting the "Chat"->"Change Name" menu command.

    • By hitting the <Ctrl>+<E> hotkey.

    "Change Nick" window
    "Change Nick" window

  2. Enter the temporary nickname.

  3. Check "Save in phonebook" to update the nickname in the phonebook.

  4. Click on the "Ok" button.

go to top

Related
  • Using voice chat


Using the Voice Chat away system

  • Away system overview
  • Setting status to "away"
  • Removing "away" status
  • Checking another user's away information
  • Related topics

Away system overview

The away system lets you find out if another user is currently paying attention to the chat window.

Each user’s away status is indicated by the icon color in the users list:

icon

status

away status
normal user | online
normal user | away
operator | online
operator | away

go to top

The following functions are available:

Setting status to "away"

To set status to "away"
  1. Issue the set away command by clicking the [image] "set away" toolbar button ( [image] details).

    The Set away command can be issued in a number of ways:
    • By clicking on the [image] Set away toolbar button.

    • By selecting the "Chat"->"Set Away From Computer" menu command.

    • By hitting the <Ctrl>+<W> hotkey.

  2. The "Set away reason" window will appear ( [image] illustration).

    "Set Away Reason" window
    "Set Away Reason" window

    This window will contain a default away message that can be composed in options or phonebook record settings. Enter an away message text if desired and click on the Set Away button.

go to top

Removing "away" status

To remove "away" status:
  1. Issue the "Return from away" command by clicking on [image] "return from away" toolbar button ( [image] details).

    The Return from away command can be issued in a number of ways:
    • By clicking on the [image] "return from away" toolbar button.

    • By selecting the "Chat"->"Return From Away" menu command.

    • By hitting the <Ctrl>+<R> hotkey.

go to top

Checking another user's away information

Right-click on the target user's name and select the "Get info" menu item. A window with the user’s away information will appear ( [image] illustration).

User info window
User info window

go to top

Related
  • Using voice chat


Using private channels

  • Sending a private request
  • Accepting a private request
  • Related topics

To create a private channel, issue a "private request" to another user. The remote user will have to accept this request. A new private channel will be created automatically and both users will be placed in it, leaving any channels they might be joined to at the time. If one of the users exits a private channel, the second user will automatically exit it also and that private channel will be destroyed.

note If a private request was sent to multiple users and one of them accepts it, the other private requests become invalid and accepting them will do nothing.

Sending a private request

To send a private request
  1. Issue the "Request private" command by right-clicking on the target user and selecting the Request private menu item ( [image] details).

    The Request private command can be issued in a number of ways:

    • By right-clicking on the target user and selecting the Request Private menu item.

    • By selecting the "Users"->"Request Private" menu command.

  2. The "Request Private" window will appear ( [image] illustration).

    "Request Private" window
    "Request Private" window

  3. Enter optional private request text.

  4. Click on the Request button.

go to top

Accepting a private request

To accept a private request
  1. When a user sends a private request to you, you will see the "Private Request" window ( [image] illustration).

    "Private Request" window
    "Private Request" window

  2. Click on the Accept button.

  3. Clicking the User info button will display the inviter's user info window.

go to top

Related
  • Using voice chat


Using text messages

  • Sending a text message
  • Receiving a text message
  • Related topics

You can send simple text messages within the Voice Chat connection mode interface.

Sending a text message

To send a text message
  1. Issue the Send text message command by right-clicking on the target user and selecting the Send Text Message menu item ( [image] details).

    The Send text message command can be issued in a number of ways:

    • By right-clicking on the target user and selecting the Send text message menu item.

    • By selecting the "Users"->"Send Text Message" menu command.

  2. The "Send Text Message" window will appear ( [image] illustration).

    "Send Text Message" window
    "Send Text Message" window

  3. Enter your message text.

  4. Click on the Send button.

go to top

Receiving a text message

To receive a text message
  1. When a user sends you a text message, you will see the "Text message" window ( [image] illustration).

    "Text Message" window
    "Text Message" window

  2. To open a "Send message" window for the message sender, click on the Reply button.

  3. To get information on the sender, click on the User Info button. The "User info" window "User info" window will appear.

go to top

Related
  • Using voice chat


Recording voice to file

To start/stop recording voice chat to a file, click on the Start/Stop recording button toolbar button or select the menu item: "Tools", "Record to wave file". The voice recording will be written to a file with an automatically generated name and placed into the Radmin installation folder.

Related
  • Using voice chat


Send Message connection mode

  • Creating a message
  • Using colors
  • Receiving a message
  • Related topics

When connected in "Send message" mode you can send text messages to a remote computer. This message will appear on the remote computer in a pop-up window which will attract the computer user's attention.

Creating a message

When you are connected in this mode a "New message" window ( [image] illustration) will appear. You can enter a message in the window and then send it.

"Send message" window
"Send message" window

Enter the message text into the input field. Press the "Send" button to send the message to the remote computer or the "Cancel" button to close the window without sending a message.

  • Enter text in any language supported by your system.

  • Use the <Enter> key to add start a new line.

  • Use the <Ctrl>+<Enter> shortcut to send the message.

  • Use the standard "cut", "copy" and "paste" commands via hotkeys or the context menu.

  • Use the <Ctrl>+<K> shortcut to pop up a color picker window and select the current text color or paint selected text.

go to top

Using Colors

The "Color picker" toolbar button [image] or the "<Ctrl>+<K>" key combination displays a color picker window ( [image] illustration). where you can select the current text color or paint selected text.

"Color picker" window
"Color picker" window

Click on the corresponding color tab in the "Color picker" window or press a highlighted character as a hotkey to select a color.

  • If no text is selected and you choose a new color

    All text entered from the current position will be in the chosen color until you choose a new color. The chosen color is called the current color.

  • If a portion of the text is selected

    The selected text will be colored according to the color chosen. The current color for new text will not change from what it was.

go to top

Receiving a message

When you send a message to a remote computer, it will automatically appear in a pop-up message window ( [image] illustration).

"Received popup message" window
"Received popup message" window

go to top

Related
  • Using Radmin Viewer


Intel® AMT connection mode

  • Connecting to a remote computer
  • AMT operations
  • AMT security
  • Terminal window
  • Network boot
  • Related topics

warning Intel® AMT connection mode requires Windows 2000 SP3 or later.

Connecting to a remote computer

If the remote computer is configured to use Intel® AMT technology Radmin Viewer can connect to it by using "Intel® AMT connection mode".

To connect to a remote computer via Intel® AMT connection mode:
  1. Add a phonebook record for the target computer.

  2. Right-click on the record to display the Record context menu ( [image] illustration).

    Phonebook connection menu
    Phonebook connection menu

  3. Choose the Intel® AMT menu item.

  4. Choose the AMT operation to be performed.

go to top

AMT operations

Radmin Viewer supports the following Intel® AMT operations:

  • Cold Restart

    Restart the remote computer by using the remote computer’s physical On/Off button. This is the physical button on the remote computer’s case that turns on/off the electricity to the computer. AMT can send a command to the remote computer that turns this On/Off button off, then on again.

    warning The AMT Cold Restart command is sent directly to the electronics of the remote computer bypassing the remote computer’s operating system, so all unsaved data will be lost, exactly the same as turning the remote computer’s On/Off power button.

  • Turn On

    This turns on the remote computer’s On/Off switch.

  • Cold Turn Off

    This turns off the remote computer’s On/Off power button.

    warning If the remote computer’s operating system is running it will not receive this "shutdown" command and all unsaved data will be lost.

  • BIOS Remote Control

    This AMT command restarts the remote computer into its BIOS. This operation opens a terminal window that shows the remote computer’s boot up and BIOS screens and enables you to send keyboard commands to the remote computer as it boots up.

  • Startup Remote Control

    This restarts the remote computer and opens a terminal window that shows the remote computer’s boot sequence and enables you to send keyboard commands to the remote computer as it boots up.

  • Network Boot

    This AMT command restarts the remote computer and boots it from a specified local CD-Rom or floppy (on the computer you are using to connect to the remote computer) or disk image file. This operation opens a terminal window that shows the remote computer’s boot sequence and enables you to send keyboard commands to the remote computer as it boots up.

go to top

AMT security

Radmin Viewer supports "Small Business" Intel® AMT security where remote computer access is protected by login and password. For any new Intel® AMT connection Radmin Viewer will display an authentication window ( [image] illustration).

"Authentication" window
"Authentication" window

note Intel® AMT must be enabled and configured on the remote computer for this command to be effective.

go to top

Terminal window

A terminal window is displayed if the remote computer is connected in the "BIOS Remote Control", "Startup Remote Control" or "Network Boot" Intel® AMT connection modes. This window displays all the text information that the remote computer displays during its boot up sequence, including its BIOS interface and operating system’s initial loading menus. Any keyboard keys pressed on your local computer while this window is active are sent to the remote computer.

AMT terminal window
AMT terminal window

The terminal window menu has the following commands

  • Enable Pseudographics

    If this is selected, Radmin Viewer uses unicode to display any special characters that are used by the remote computer’s BIOS and console programs to draw the user interface.

  • Select Font ...

    This selects the font used on your local computer’s monitor to display the remote computer’s screen.

  • Mode ...

    In "VT100+" mode the remote computer’s screen will be displayed using only English characters. In "VT100-UTF8" mode the remote computer’s screen will be displayed with International characters support, but English characters and pseudographics could be displayed incorrectly.

  • Special Keys Encoding

    Select the method Radmin Viewer will use to send the Function keys (F1....F12 key presses) to the remote computer. The correct method depends on the remote computer’s manufacturer.

  • Copy Screen to clipboard

    This copies anything displayed on the remote computer’s screen to your local clipboard as text.

  • Paste Text from clipboard

    This command sends any text that is in your local computer’s clipboard as a string of characters (as if you typed each on your keyboard) to the remote computer.

  • Command

    Issues an Intel® AMT command without closing the terminal window and re-entering a password.

go to top

Network boot

If you are connected to the remote computer using the "Network Boot" Intel® AMT connection mode the "Network boot" window will be displayed ( [image] illustration).

"Network boot" window
"Network boot" window

  • Boot from local CD or floppy drive

    If this is selected, the remote computer will boot from a CD-ROM or floppy disk inserted into the specified drive of your local computer (the computer you are using to connect to the remote computer).

  • Boot from ISO or IMG file

    If this is selected, the remote computer will boot from the specified CD-ROM or floppy disk image file.

go to top

Related
  • Using Radmin Viewer


Using "Connect through" option

The "connect through" option lets you connect to a remote computer through an intermediate computer if there is no direct TCP/IP connection with the remote computer, and the intermediate computer does have a direct TCP/IP connection to both remote and local computers. Radmin Server should be running on the intermediate computer for this to work.

To use "connect through":

  1. Radmin Server should be running on the intermediate computer.

  2. Start Radmin Viewer on your local computer.

  3. Use the "Add Record" command.

  4. Enter the IP address or DNS name of remote computer you want to connect to. It can be virtual a IP address or a local DNS name as long as intermediate computer can correctly resolve the identity of the required computer from it.

  5. Check the "connect through host" checkbox.

  6. Select the intermediate computer you want to use from the list below.

    tip This list is populated from phonebook records.

  7. Click the Ok button to add a new record to your phonebook.

  8. Double click on this new record to make the connection. If the intermediate server requires authorization, you may be asked for an additional login ID and password.

Related
  • Using Radmin Viewer


Options: Overview

The "Options" window ( [image] illustration) is accessible from Radmin Viewer via the Tools->Options menu option. The navigation tree on the left lets you select the options sheet. Corresponding options will appear on the right.

General options window
General options window

Click the Ok button to save and apply any changes you have made.

The following option sheets are available:

  • General Options
  • New Connection Defaults
    • Remote Screen
      • Full Control
    • Chat
    • Voice Chat
  • Remote Screen Options
  • Chat Options
    • Appearance
    • Additional
  • Voice Chat Options
    • Audio Devices

Related
  • Using Radmin Viewer


Options: General

The "Options" window ( [image] illustration) lets you configure general Radmin Viewer behavior.

General options window
General options window

You can configure the following options:

Minimize to tray icon

If this option is checked, Radmin Viewer will display its icon in the system tray and remove its window from the taskbar when it is minimized. To restore the Radmin Viewer window, click on its system tray icon. If you right-click on the Radmin Viewer tray icon, its menu ( [image] illustration) will appear. This menu lets you display the Radmin Viewer window, close the program, or view the "About" box.

Tray menu
Tray menu

Don't show splash screen

Enables or disables splash screen display upon program startup.

Don't ask delete confirmation

Enables or disables the confirmation dialog when you are deleting phonebook records.

Don't start if Radmin Viewer is already started

If this option is checked, only one copy of Radmin Viewer can be started at a time.

tip You can initiate multiple connections from a single Radmin Viewer.

Number of threads to be used in Radmin Server scans

Increasing this number will result in faster scanning but will decrease computer performance during the scan.

Related
  • Radmin Viewer options


Options: New connection defaults

The "New Connections Defaults" options window ( [image] illustration) is where you set the options for a new connection. These options are applied to each new connection you create. You can modify any connection’s options by using the "Connect to" window (upon creation) or connection properties (after creation).

note There is no way to change the properties for all existing connections at the same time.

New connection defaults window
New connection defaults window

You can configure the following options:

Use default port

If this option is checked, the port for all new connections will be set to 4899.

Port

You can set a custom port number here.

Related
  • Radmin Viewer options


Options: Remote Screen defaults

The Options window ( [image] illustration) lets you configure new connection defaults for "Full Control" and "View Only" connection modes.

"Remote screen defaults" window
"Remote screen defaults" window

You can configure the following options:

Color format

Defines the color depth of images that Radmin Server will transfer to Radmin Viewer. Lower color depths will require less data to be transferred over the network, which improves update speeds but decreases image quality. Maximum color depth will show you almost the same image as on the remote computer, but the update speed can be slow.

View mode

Sets the default view mode for connections. When connected, you can always change the current view mode by pressing a shortcut (F12 by default).

Maximum number of updates

Defines the maximum number of updates per second that Radmin Server will send to Radmin Viewer. Higher values require more CPU time on the server computer, but result in smoother updates.

Related
  • Using Radmin Viewer


Options: Full Control defaults

The Options window ( [image] illustration). lets you configure additional connection defaults for "Full Control" and "View Only" connection modes.

"Full Control defaults" window
"Full Control defaults" window

You can configure the following options:

Remote cursor modes

Affects the visibility and shape of Radmin Server's cursor:

  • Do not show the remote cursor

    The remote cursor will not be shown.

  • Set remote cursor shape to local cursor

    The remote cursor movements do not affect your local cursor position. However its shape will always be the same as the remote cursor's shape.

  • Draw the remote cursor in the remote screen bitmap

    The remote cursor appears as well as your local cursor, and you will see the movements of both cursors.

Full keyboard control

If the option is selected, all keyboard strokes except for Ctrl+Alt+Del, Win+L and shortcuts will transfer to the remote computer. To send Ctrl+Alt+Del, Win+L, use the remote window menu or define your own shortcut.

Related
  • Using Radmin Viewer


Options: Chat defaults

The "Options" window ( [image] illustration) lets you configure new connection defaults for Text Chat connection mode.

Chat defaults window
Chat defaults window

You can configure the following options:

Nick name

Specifies a nickname for your chat session.

User information

Specifies default user information for the chat session that others can view via the Get user info command.

Related
  • Radmin Viewer options


Options: Voice Chat defaults

The "Options" window ( [image] illustration) lets you configure new connection defaults for Voice Chat connection mode.

Voice chat defaults window
Voice chat defaults window

You can configure the following options:

Nick name

Specifies a nickname for chat sessions.

User information

Specifies default user information for chat that others can view via the "Get user info" command.

Maximum network bandwidth

Lower values (slider to the left) will result in a low network load, but poor voice quality. Higher values (slider to the right) improve voice quality, but utilize more network resources.

Related
  • Using phonebook


Options: Remote Screen

The Options window ( [image] illustration) lets you configure options for the remote screen window (the window that displays the desktop of a remote computer so you can view and/or control it). Options configured here will affect all "Full Control" and "View Only" mode connections.

"Remote screen options" window
"Remote screen options" window

You can configure the following options:

Show toolbar

Enables or disables the toolbar while using Full control or View only connection modes. This option can also be used to enable or disable the toolbar at run-time.

Enable auto mouse scroll in window

While viewing a remote screen at 1:1 scaling, if the remote screen is larger than the local window, enabling this option allows the user to scroll the remote screen inside a window by moving the mouse cursor near the window's edges. This option is always enabled for fullscreen mode, since there are no scrollbars with fullscreen for a manual scroll.

Keep aspect ratio in stretch view

Enabling this option will scale the remote screen in a windowed mode, so the proportions of the remote screen are maintained even if it is resized. This option is always disabled for fullscreen mode.

Hotkeys

Radmin lets you set hotkeys for commonly-used commands. To set a hotkey for a command checkmark the Ctrl and/or Alt checkboxes and select a key from the dropdown list. To use this hotkey while connected to remote computer in "full control" or "view only" mode, hold down the same Ctrl and/or Alt key(s) that you specified and press the key you selected.

note Only F1-F24 and the alphanumeric keys can be set as hotkeys.

note The hotkey to "Show window menu" requires pressing <Ctrl>.

note If you set as a hotkey just an alphanumeric key without an Alt or a Ctrl, you will not be able to use this key normally in the remote computer's programs. Radmin can send all shortcut key combinations directly to the remote computer using the remote window menu "Send Key" command.

You can assign hotkeys for the following commands:

  • Send Ctrl+Alt+Del

    Pressing the corresponding hotkey sends a Ctrl+Alt+Delete combination to the remote computer. More info about using this feature on Windows 8/7/Vista.

  • Toggle full screen view

    Pressing the corresponding hotkey will switch Radmin Viewer's view mode among "Normal" and "Full Screen" View sequentially.

  • Show the window menu

    Pressing this command's hotkey shows the remote window menu.

Related
  • Using Radmin Viewer


Options: Chat

The "Options" window ( [image] illustration) lets you configure general chat options.

Chat options window
Chat options window

You can configure the following option:

"Away from computer" message

This message will be used as a default when you use the away command.

Related
  • Radmin Viewer options


Options: Chat appearance

The "Options" window ( [image] illustration) lets you manage chat appearance.

Chat appearance options window
Chat appearance options window

You can configure the following options:

Tray Icon

Specify how the program displays the taskbar notification area ("system tray") icon:

  • Don't Show

    The icon will not appear.

  • Minimize Window to tray

    The icon will always appear. If the chat window is minimized, it will be removed from the taskbar.

  • Hide Window to tray

    If the chat window is minimized, it will be removed from the taskbar and the icon will be added to the tray.

  • Always Show

    The icon will always appear.

Add new chat messages to the

Specifies text chat log orientation:

  • Bottom

    New messages will appear at the bottom of the log.

  • Top

    New messages will appear at the top of the log.

Define font for each chat interface element

This option lets you select the color and font for a selected interface item using the Set font and Set color buttons. If either button has been disabled, no font or color can be selected for the corresponding item.

Related
  • Radmin Viewer options


Options: Additional Chat options

The "Options" window ( [image] illustration) lets you configure additional chat options.

Additional chat options window
Additional chat options window

You can configure the following options:

Display your nickname in front of your own messages

If this option is checked, your nickname will precede your messages in the chat log.

Add a timestamp to displayed messages

If this option is checked, each entry in the chat log will begin with the time the message was sent.

Confirm disconnect if Private is open

If this option is checked, a confirmation dialog will appear if you try to close a text chat window that has private channels.

Confirm disconnect if Private contains unread messages

If this option is checked, a confirmation dialog will appear if you try to close a text chat window that has private channels with unread messages.

Allow special commands

If this option is checked, all messages that begin with the "/" symbol will be interpreted as text commands.

Right to left reading

If this option is checked, all messages will be formatted for reading from right to left.

note Windows 98/ME does not support right-to-left reading by default, but specific localized versions do (for example, the Arabic version). For Windows 8/2012/7/2008/Vista/2003/XP/2000 the system component "support for right-to-left languages" should be installed.

Enable logging

If this option is checked, all messages will be saved to log file.

note Specify an existing directory where the log files are to be saved.

HTML log format

If this option is selected, all messages will be saved in HTML files. This allows all characters in all languages to display correctly, but can produce very large files that can be searched only through standard Windows "search" functions.

TXT log format

If this option is selected, all messages will be saved in text files. This will produce very small files and allows the user to search through them using most programs, but only languages that are installed on the computer will appear correctly.

Log files path

Specify an existing directory where log files are to be saved.

Related
  • Radmin Viewer options


Options: Voice chat

The "Options" window ( [image] illustration) lets you configure options for Voice Chat connection mode.

Voice chat options window
Voice chat options window

You can configure the following option:

"Away from computer" message

This message will be used as a default when the Away command is executed.

Related
  • Radmin Viewer options


Options: Audio devices for Voice Chat options

The "Options" window ( [image] illustration) lets you configure audio devices for Voice Chat connection mode.

Audio devices for voice chat options window
Audio devices for voice chat options window

You can configure the following options:

Playback device

Lets you select the installed device that will transmit sound during Voice Chat connections.

Recording device

Lets you select the installed device that will record sound during Voice Chat connections.

Set sensitivity level for recording device (microphone)

At the minimum level all sounds will be transmitted unaltered. At the maximum level, only the voice will be transmitted and all background sounds will be removed.

tip Set this option to minimum to start, and adjust it only if other users cannot hear your voice clearly.

Related
  • Radmin Viewer options


Using Radmin Server

  • Starting and stopping Radmin Server
  • Accessing Radmin Server options
  • Configuring Radmin Server
  • Related topics

Radmin Server needs to be installed and running on a remote computer in order for you to control it.

Starting and stopping Radmin Server

Refer to the "Starting and stopping Radmin Server" help section.

go to top

Accessing Radmin Server settings

You can access the settings for Radmin Server in the following ways:

  • Use the shortcut in "Start"->"Programs"->"Radmin Server" called "Settings for Radmin Server".

  • If the Radmin Server icon appears in the tray: right-click it and select the "Settings For Radmin Server" menu item.

  • Execute rserver3.exe with the command-line key /setup.

go to top

Configuring Radmin Server

The following topics cover the available settings:

  • How to choose startup mode

  • How to setup Radmin security (password)

  • How to setup Windows security (Windows users)

  • How to setup an IP filter

  • How to change the Radmin Server port

  • How to ask user permission for incoming connections

  • How to configure text chat on server side

  • How to configure voice chat on server side

  • How to use the logging system

  • How to change miscellaneous options

  • How to use command-line options

go to top

Related
  • Using Radmin Viewer


Choosing Radmin Server startup mode

Radmin Server can be set to start automatically upon Windows startup or manually via the Start menu shortcut. If Radmin Server starts automatically, users can connect to a remote computer after it has been restarted. Automatic startup also lets you connect if no user is logged in. Manual startup mode lets you start the program only when needed; this can improve overall security. But in most cases, "automatic" startup mode is preferable.

To select startup mode:
  1. Access Radmin Server settings; the "Settings" window will appear ( [image] illustration).

    Server settings
    Server options

  2. Click on the Startup mode button to display the "Set startup mode" window ( [image] illustration).

    Options window
    Options window

  3. Select Automatic to start Radmin Server automatically upon Windows startup or Manual to start it manually. Click on the OK button to confirm your selection.

Related
  • Using Radmin Server


Starting and stopping Radmin Server

  • Overview
  • Starting Radmin Server
  • Stopping Radmin Server
  • Related topics

Overview

Radmin Server needs to be running on a remote computer for a local computer be able to connect to it. You can determine whether Radmin Server is running by presence of the Radmin icon in the system tray:

- Radmin server is started
- Radmin server is started and users are connected

Starting Radmin Server

Radmin Server can be configured to either start automatically on computer startup or manually. You can manually start the program in the following ways:

  • By using the Start menu shortcut Start Radmin Server (preferable).

  • By executing the rserver3.exe file located in the Radmin installation directory with the /start command-line switch. More info...

go to top

Stopping Radmin Server

You can stop the program in these ways:

  • Use the Start menu shortcut Stop Radmin Server (preferable).

  • Right-click the Radmin Server tray icon and select the "Stop Radmin Server" menu item.

  • Execute the rserver3.exe file located in the Radmin installation directory with the /stop command-line switch. More info...

go to top

Related
  • Using Radmin Server


Using Windows security

Windows security lets you restrict access to a remote computer, permitting access only to specified users in a Windows security list. If a user is logged in to a local computer with credentials that have been added to the remote computer's security list, this user can connect to the remote computer without entering a login ID or password.

Accessing Windows security settings

To change Windows security settings:
  1. Access settings ( [image] illustration).

    Server options
    Server options

  2. Click on the Permissions... button to display the "Security mode" window ( [image] illustration).

    "Security Mode" window
    "Security Mode" window

  3. Select Windows NT security and click on the Permissions button to display the standard "Permissions" window ( [image] illustration).

    "Permissions" window
    "Permissions" window

  4. Use the Permissions window to add or remove users and assign rights for connection types.

Related
  • Using Radmin Server
  • Using Radmin Security


Using Radmin security

  • Accessing Radmin security settings
  • Adding user description to list
  • Removing a user description from a list
  • Assigning connection rights to a user
  • Related topics

Radmin security lets you restrict access to a remote computer through logins and passwords.

Accessing Radmin security settings for Radmin Server

To access Radmin security settings:
  1. Access settings ( [image] illustration):

    Server options
    Server options

  2. Click on the "Permissions..." button to display the "Security Mode" window ( [image] illustration).

    Security mode window
    Security mode window

  3. Select Radmin Security and click on the Permissions button to display the "Radmin security" window ( [image] illustration).

    Radmin security window
    Radmin security window

go to top

Radmin security can be configured by implementing the following actions:

Adding user description to list

To Add a user description to list:
  1. Access security settings

  2. Click on the Add User... button to display the "Add New User" window ( [image] illustration).

    "Add New User" window
    "Add New User" window

  3. Enter the user name and password, and enter the password again in the confirmation field.

  4. Press the Ok button.

    note Assign connection rights to the user after he or she has been added.

go to top

Removing a user description from a list

To remove a user description from a list:
  1. Access security settings

  2. Select the user description.

  3. Click on the Remove User button.

go to top

Assigning connection rights to a user

To assign connection rights to a user:
  1. Access security settings

  2. Select the user description.

  3. Use checkboxes to allow or decline connection modes.

go to top

Related
  • Using Radmin Server
  • Using Windows Security


Setting up an IP filter

  • Accessing IP filter settings
  • Enabling and disabling IP filtering
  • Configuring the IP filter
  • Related topics

An IP filter restricts remote computer access, allowing incoming connections only from specified IP addresses and networks.

Accessing IP filter settings

Access the IP filter settings using Radmin Server options.

To access IP Filter settings:
  1. Access Radmin Server options; a "settings" window will appear ( [image] illustration).

    Server options window
    Server options window

  2. Click on the Options... button to the display the "Options" window.

  3. Switch to the "IP Filter" tab on the left ( [image] illustration).

    "IP Filter" server options window
    "IP Filter" server options window

go to top

Enabling and disabling IP filtering

Access IP filter settings and use the Enable IP Filter checkbox.

warning If the IP filter is enabled and no IP addresses or ranges are entered, it will be impossible to connect to the computer.

go to top

Configuring the IP filter

Configure the IP filter by adding and removing records from the list.

  • To add a record, click on the Add button; the "Add IP address" window will appear ( [image] illustration).

    "Add IP Address" window
    "Add IP Address" window

    Enter the client's IP address or IP address range and click the Add button.

  • To remove a record, select the target record and click the Remove button.

go to top

Related
  • Using Radmin Server
  • Managing Radmin security


Changing the Radmin Server port

You can change the Radmin Server port from its default (4899) to any unused port number from 1 to 65535. Configure Radmin Viewer on a local computer to use the same port as Radmin Server on the remote computer.

To change the Radmin Server port number:
  1. Access Radmin Server settings. The "settings" window will appear ( [image] illustration).

    Server options window
    Server options window

  2. Click the Options... button to display the "Options" window ( [image] illustration).

    "General" server options window
    "General" server options window

  3. Uncheck the "Use default port" checkbox.

  4. Enter the new port number.

  5. Click the Ok button.

Related
  • Using Radmin Server


Using the Radmin Server tray icon

Radmin Server displays an icon Radmin Server tray icon in the taskbar notification area (also known as "the system tray"). Right-clicking on this icon will display a context menu ( [image] illustration) that has following items:

Radmin Server tray icon menu
Radmin Server tray icon menu

Current connections

Select this menu item to display the "Current Connections" window ( [image] illustration).

Radmin Server "Current Connections" window
Radmin Server "Current Connections" window

with a list of active incoming connections.

Activate Audio Window

If Radmin Server has an incoming Voice Chat connection, the Voice Chat interface will appear.

Activate Chat Window

If Radmin Server has an incoming Text Chat connection, the Text Chat interface will appear.

Settings for Radmin Server

Selecting this menu item will display the Radmin Server settings window.

note Requires administrator rights or elevated privileges.

About

Select this menu item to display a window with information about Radmin.

Stop Radmin Server

Select this menu item to stop Radmin Server. note Requires administrator rights or elevated privileges.

Related
  • Using Radmin Server


Asking connection permissions

You can configure Radmin Server to ask remote user for permission every time you want to connect to the remote computer.

To configure permissions:
  1. Access Radmin Server options; a "settings" window will appear ( [image] illustration).

    Server options window
    Server options window

  2. Press the "Options..." button to display the "Options" window ( [image] illustration).

    "General" server options window
    "General" server options window

  3. Check the "Ask user permission" checkbox. If it is checked, Radmin Server will ask the user for permission to receive for any incoming connection.

  4. Choose "auto deny after timeout" or "auto allow after timeout" to specify the action Radmin Server will perform if a remote user doesn't respond and the request times out.

  5. Enter a value in the "timeout" field. If a user does not accept or deny the connection request before the timeout is reached, Radmin will automatically accept or deny it. This value should be a number of seconds between 1 and 999.

Related
  • Using Radmin Server


Text Chat options for Radmin Server

  • Accessing Text Chat options
  • Configuring Text Chat options
  • Related topics

Accessing Text Chat options

Access Text Chat options for Radmin Server using the Radmin Server options:

To access Text Chat options for Radmin Server:
  1. Access Radmin Server options; a "settings" window will appear ( [image] illustration).

    Server options window
    Server options window

  2. Click on the Options... button to display the "Options" window.

  3. Switch to the "Chat Options", "Appearance" or "Additional" tabs on the left ( [image] illustration).

    "Text Chat" server options window
    "Text Chat" server options window

go to top

Configuring Text Chat options

Text Chat options for Radmin Server are configured using three tabs on the left side of the Options window:

  • "Chat Options" tab

    Lets you configure the same fields as for Text Chat new connection defaults and Text Chat options for Radmin Viewer.

    Activate by private only

    If this option is checked, the Text Chat window on the remote computer will be hidden by default and will pop up automatically on a private request or in response to an incoming text message.

  • "Appearance" tab

    Lets you configure the same fields as for "Chat Appearance options" for Radmin Viewer.

  • "Additional" tab

    Lets you configure the same fields as for "Additional Chat options" for Radmin Viewer.

go to top

Related
  • Using Radmin Server


Voice Chat options for Radmin Server

  • Accessing Voice Chat options
  • Configuring Voice Chat options
  • Related topics

Accessing Voice Chat options

Access Voice Chat options for Radmin Server using Radmin Server options:

To access Voice Chat options for Radmin Server:
  1. Access Radmin Server options; a "settings" window will appear ( [image] illustration).

    Server options window
    Server options window

  2. Click on the Options... button to display the "Options" window.

  3. Switch to the "Voice Chat Options" or "Audio Devices" tabs on the left ( [image] illustration).

    "Voice Chat" server options window
    "Voice Chat" server options window

go to top

Configuring Voice Chat options

Configure Voice Chat options for Radmin Server using the two tabs on the left side of the Options window:

  • "Voice Chat Options" tab

    Lets you configure the same fields as for the Voice Chat new connection defaults and Voice Chat options for Radmin Viewer.

    Activate by private only

    If this option is checked, the Voice Chat window on the remote computer will be hidden by default and will pop up automatically on a private request or in response to an incoming text message.

  • "Audio Devices" tab

    Lets you configure the same fields as for the Audio Devices for Voice Chat options for Radmin Viewer.

go to top

Related
  • Using Radmin Server


Using the Radmin Server logging system

  • Logging overview
  • Using event logging
  • Using file logging
  • Related topics

Logging overview

Two logging methods are available:

  1. Event logging

    Information is saved in a system events log and can be accessed and viewed using the standard "Event Viewer" application.

  2. File logging

    Information is added to the end of a specified log file and can be easily accessed, read and sent via e-mail for troubleshooting purposes. HTML format is used for inter-operability.

go to top

Using event logging

To enable or disable event logging:
  1. Access Radmin Server options; a "settings" window will appear ( [image] illustration).

    Server options window
    Server options window

  2. Click the "Options..." button to display the "Options" window ( [image] illustration).

    "General" server options window
    "General" server options window

  3. Select the "General" tab on the left.

  4. Check the "Use event log" checkbox.

  5. Click the Ok button.

go to top

Using file logging

To enable or disable file logging:
  1. Access Radmin Server options; a "settings" window will appear ( [image] illustration).

    Server options window
    Server options window

  2. Click the "Options..." button to display the "Options" window ( [image] illustration).

    "General" server options window
    "General" server options window

  3. Select the "General" tab on the left.

  4. Check the "Use logfile" checkbox.

  5. Enter the target file name and path in the edit box below the checkbox. If the file does not exist it will be created; otherwise new information will be added to the existing file.

  6. Click the Ok button.

go to top

Related
  • Using Radmin Server


Miscellaneous server options

  • Accessing miscellaneous options
  • Connection types permitted
  • Resolving hostnames
  • Related topics

Accessing miscellaneous options

To access miscellaneous options:
  1. Access Radmin Server options; a "settings" window will appear ( [image] illustration).

    Server options window
    Server options window

  2. Click on the Options... button to display the "Options" window.

  3. Switch to the "Miscellaneous" tab on the left ( [image] illustration).

    "Miscellaneous" server options window
    "Miscellaneous" server options window

go to top

Data connection modes

"Disable connection modes" checkboxes can be used to disable any combination of connection modes to this server.

go to top

Do not resolve IP addresses to hostnames

If the "Do not resolve IP addresses to hostnames" checkbox is checked, DNS names will not be resolved and written to a log file.

go to top

Load mirror driver on startup

In default settings, Mirror Driver is loaded during the establishment of the incoming tcp connection in "Full Control" or "View Only" connection modes which leads to a slight flicker of the screen at that moment. If the "Load Mirror Driver on startup" checkbox is checked, the Mirror Driver is loaded once during the startup of the Radmin Server and the blinking effect does not occur after the connection is established.

go to top

Related
  • Using Radmin Server


Radmin Server command-line switches

  • /setup
  • /start
  • /stop
  • /activate
  • /saverequest
  • /uselicense
  • /?
  • Related topics

Radmin Server's executable file RServer3.exe can be executed with the following command-line switches:

  • /setup

    Displays a settings window.

    note This will not start Radmin Server.

    go to top

  • /start

    Starts Radmin Server.

    warning Radmin Server must be properly installed before you can use this command-line key.

    go to top

  • /stop

    Stops Radmin Server.

    go to top

  • /activate

    Activates Radmin Server using existing remote computer internet connection.

    /activate /key:<license key> [/outputfile"<output file name>"]

    Where:

    • license key

      is the license key to activate Radmin Server.

    • output file name

      is the optional switch that defines the name and path of report file to be saved. Report file will contain text description of operation success or failure.

    Example:

    rserver3.exe /activate /key:ABCDE-123456-123456

    or

    rserver3.exe /activate /key:ABCDE-123456-123456 /outputfile"C:\fam.log"

    go to top

  • /saverequest

    Saves activation request file required to activate Radmin Server manually. More info ...

    /saverequest /key:<license key> /requestfile"<request file name>" [/outputfile"<output file name>"]

    Where:

    • license key

      is the license key to activate Radmin Server.

    • request file name

      is the name and path of request file to be saved.

    • output file name

      is the optional switch that defines the name and path of report file to be saved. Report file will contain text description of operation success or failure.

    Example:

    rserver3.exe /saverequest /key:ABCDE-123456-123456 /requestfile"C:\fam.request"

    or

    rserver3.exe /saverequest /key:ABCDE-123456-123456 /requestfile"C:\fam.request" /outputfile"C:\fam.log"

    go to top

  • /uselicense

    Activates Radmin Server using specified license file received from Famatech Activation Server. More info ...

    /uselicense /licensefile"<license file name>" [/outputfile"<output file name>"]

    Where:

    • license file name

      is the name and path of license file to activate Radmin Server.

    • output file name

      is the optional switch that defines the name and path of report file to be saved. Report file will contain text description of operation success or failure.

    Example:

    rserver3.exe /uselicense /licensefile"C:\fam.license"

    or

    rserver3.exe /uselicense /licensefile"C:\fam.license" /outputfile"C:\fam.log"

    go to top

  • /?

    Displays a window with the a list of available command-line switches.

    go to top

Related
  • Using Radmin Server


Managing Radmin Server security

Configure Radmin Server security through its settings window.

  • Radmin security uses a login ID and password for authorization.

  • Windows security uses existing Windows users and groups for authorization.

  • The IP filter lets you restrict access to specific IP addresses or sub-networks.

  • All connections are automatically encrypted using a 256-bit key.

Related
  • Using Windows Security
  • Using Radmin Security


Protecting your computer from unauthorized access

Radmin Server possesses the following mechanisms for protecting user privacy:

  • All data is transferred using strong 256-bit AES encryption.

  • For the user authentication and session key setup Diffie-Hellman based key exchange with 2048 bit key size is used. A password is never transmitted between a local and remote computer.

  • A highly secure, self-testing code that makes it nearly impossible to modify the program's executable file.

  • Either password security or Windows security is used. It is impossible to connect to Radmin Server without a password or Windows security rights.

  • Passwords for connections are not saved, so they cannot be stolen.

  • The list of saved user IDs and passwords (in hash form) is protected on the server side, so only the remote computer's administrator can access it.

  • There are special built-in delays that prevent attempts to guess a password (so-called "brute-force attacks" or "dictionary attacks").

  • You can configure the IP filter to allow connections only from specified IP addresses.

  • You can configure Radmin Server to request the remote computer's user permissions for each incoming connection.

  • Connection attempts can be recorded in an event log and/or text file.

note Radmin Server has numerous built-in security functions, but the safest practice is to make sure that a password is sufficiently complex (not something like "111111" that can be guessed on the first attempt) and that it is not stored in an easily accessible location. Refer to the "Safety tips" section for more tips.

Related
  • Managing Radmin security


Radmin Server safety tips

It is very important to observe basic safety precautions that will help to protect your communications from unauthorized access:

  • Use long, complicated passwords that do not contain dictionary words. The password "11111111" can be guessed on the first attempt, whereas the password "7erT#xaNux8" cannot be guessed or discovered by brute-force at all.

  • Use a unique password for Radmin Server. Do not use the same password that you use for an e-mail account or credit card - such passwords can be thrown away after the corresponding service is changed or expired, and be accessed by unauthorized persons. The corresponding service also may have a weak defense and be hacked, resulting in your password being leaked.

  • Keep your password secure.

  • If you use Windows security, make sure the domain structure is properly configured and there is no way to alter it without authorization.

  • Enable logging under Radmin Server settings to detect unauthorized connection attempts and prevent them in the future.

  • Enable your system firewall to monitor and prevent unwanted connection attempts.

  • Use antivirus software and spyware removal software frequently to ensure that local and remote computers are free of viruses, trojans and spyware programs.

  • Keep your operating system and network-related software up to date by installing the latest updates, patches and hotfixes.

Related
  • Managing Radmin security


Remote Deployment

note Illustrated step-by-step instructions are available from www.radmin.com.

Radmin Server and Radmin Viewer can be remotely installed on multiple computers.

To remotely deploy Radmin:
  1. Download msi installer from www.radmin.com.

  2. Install Radmin Server on any computer, configure it and save the HKEY_LOCAL_MACHINE\SOFTWARE\Radmin\v3.0\Server\Parameters registry branch.

  3. Create an mst file with installation transform for msi installer. Apply saved registry branch to the mst file. You can use the freeware "Custom Installation Wizard" tool from the "Microsoft Office Resource Kit".

  4. On the Domain Controller add the mst and msi files as a "Software Installation" in the "Group Policy" object editor.

  5. Radmin will be automatically installed on all computers inside a domain.

Radmin Server can be remotely activated on multiple computers.

To remotely activate Radmin Server:
  1. Create a .cmd file that activates Radmin Server using a command-line switches.

  2. On the Domain Controller add this .cmd file into the login script.

  3. Radmin Server will be automatically activated on all computers inside a domain.

Related
  • Configuring Radmin Server
  • Licensing Radmin


Licensing Radmin

  • Licensing overview
  • Online activation from the server side
  • Offline Activation from the server side
  • Alternative activation from the client side
  • Activation errors list
  • Related topics

Licensing overview

Licenses that are added to Radmin Server are automatically activated. The activation process can be performed online, manually from our Internet site or by contacting our sales department. Online activation requires an active Internet connection which will allow HTTP requests from Radmin Server to Famatech Activation Server. The license code can be added directly to Radmin Server or transferred to it from any Radmin Viewer.

note During activation Radmin Server will generate a hardware ID of the computer it is installed on. This hardware ID is based on the computer's hardware components (motherboard, processor, etc). This ID will be sent to Famatech Activation Server along with the specified license code, and an activated license will be returned that allows Radmin Server to be used only on the computer with the corresponding hardware ID.

note Significant changes to the computer's hardware configuration will change its hardware ID, which may force Radmin Server to suggest that the computer is different from the one the program was licensed to run on. Complete information about safe computer modifications and license re-acquiring after significant upgrades can be found at our website: www.radmin.com.

Two types of licenses are available:

  • Product License

    Permits activation and use of Radmin Server. One license of this type should be added to Radmin Server in order to use it. This license can include multiple connections.

  • Additional Connections License

    Increases the maximum number of allowed simultaneous incoming connections. Licenses of this type can be added to the Radmin Server in order to increase the number of users who can connect to it.

    warning This license is not valid if there is no Product License already added to the Radmin Server.

go to top

Online Activation from the server side

If Radmin Server is installed on a computer with an active Internet connection, here is how you can activate the license:

To activate Radmin Server license:
  1. Access Radmin Server options, the "Settings for Radmin Server" window will appear ( [image] illustration).

    Server options window
    Server options window

  2. Click on the Enter license button, the "License Code" window will appear ( [image] illustration).

    Server options window
    "License Code" window

  3. Enter the license code into the "Enter your license code" edit field and click on the Ok button.

  4. If the activation succeeds, an information window will display "License code is saved" and the license record will appear in the "License information" list.

    In case of activation problems, an error message will appear. Refer to the activation errors list for details.

go to top

Offline Activation from the server side

If Radmin Server is installed on a computer without an active Internet connection, here is how you can activate the license:

To activate Radmin Server license offline:
  1. Access Radmin Server options, the "Settings for Radmin Server" window will appear ( [image] illustration).

    Server options window
    Server options window

  2. Click on the Enter license button, the "License Code" window will appear ( [image] illustration).

    Server options window
    "License Code" window

  3. Enter the license code into the "Enter your license code" edit field and click on the "manual activation" button. Manual activation edit fields will become active.

  4. Select the "select request file" and enter in the field below a filename in which to save the activation request. Use the "browse" button to select an existing file name using Explorer interface.

  5. Click on the Ok button. An Activation request file will be saved with the specified filename.

  6. Visit the online form at http://activate.famatech.com/upload.htm and follow the on-screen instructions to supply the Activation request file to our server and receive a License file. You can perform this on any computer that has an active Internet connection.

  7. Copy the license file you receive to the computer where Radmin Server is installed.

  8. Select the "Use license file" and enter in the field below the name of the file you received, or use the "browse" button to select the file using the Explorer interface.

  9. Click on the Ok button. If the activation succeeds, an information window will display "License code is saved" and the license record will appear in the "License information" list.

    In case of activation problems, and error message will appear. Refer to activation errors list for details.

note You can activate Radmin Server offline remotely using Radmin Server command-line switches and Radmin Viewer command-line switches.

go to top

Alternative activation from the client side

If Radmin Server is installed on a computer without an active Internet connection, you can transfer the activation code to it from any Radmin Viewer installed on a computer with an active Internet connection.

To activate Radmin Server from the client side:
  1. Add a phonebook record for the computer with the target Radmin Server installed.

  2. Right-click on the record to display the Record context menu ( [image] illustration).

    Phonebook connection menu
    Phonebook connection menu

  3. Choose the License Code Transfer menu item.

  4. Enter the login ID and password according to the target Radmin Server security settings. The "License Request" window ( [image] illustration) will appear.

    Server options window
    "License Request" window

  5. Use the "License Request" window as you would during the normal Radmin Server activation described above.

go to top

Activation errors list

The following error messages can appear if activation fails:

  • InternetOpen failed

    InternetConnect failed

    HttpOpenRequest failed

    Cannot connect to activation server

    InternetReadFile failed

    Radmin Server was unable to communicate with Famatech Activation Server on the internet. Make sure that you have active internet connection and it is configured correctly to allow outgoing HTTP request (TCP port 80). Make sure that your network, firewall and router settings are correct.

  • Invalid format

    Network data received from Famatech Activation Server is corrupted. Please ensure that your network, firewall and router settings are correct and all HTTP request / responses are not being modified.

  • Can't save data to registry. Check that you have sufficient rights

    Radmin Server was unable to save activation information to the computer's registry. Make sure that system security is configured correctly.

  • License code is saved

    Radmin Server was activated successfully.

  • Cannot read hardware ID

    Radmin Server was unable to obtain hardware information about your computer. Make sure that you are using latest and compatible drivers for all hardware devices. Make sure that system security setting are configured correctly. Try to temporarily disable any virtual devices.

  • Cannot allocate memory

    Radmin Server was unable to allocate sufficient system resources. Make sure that your system is configured correctly. Try to reboot your computer and temporarily close all running programs.

  • Invalid license

    Radmin Server license file is corrupted. Make sure that it was not corrupted or altered. Try to repeat activation process.

  • Invalid hardware ID

    License code entered was already used to activate Radmin Server on the different computer. Please contact Famatech technical support.

  • Cannot open file

    Radmin Server was unable to open activation request file or license file. Make sure that this file has correct security settings. Make sure that your system has correct security settings. Scan your HDD for errors.

  • Cannot save file

    Radmin Server was unable to save a file. Make sure that your system has correct security settings. Scan your HDD for errors.

  • Invalid size of request

    Invalid format of request

    Activation request file specified has invalid format. Make sure that it was not corrupted or altered.

  • Invalid license code

    License code entered is not valid. Make sure you have entered it correctly. Try to use copy-paste and make sure no additional spaces, tabulation symbols and/or characters are present either at beggining or at the end of license code string.

  • The license code is not for target product

    License code entered is intended for different software. If you have multiple license codes from Famatech, make sure you are using correct one. Please contact Famatech technical support for details.

  • Activation limit is reached for entered license code

    License code was already used to activate Radmin Server on the maximum number of computers allowed by the license. Please contact Famatech technical support for details.

  • Product already has activated product license

    Radmin Server installed on this computer was already activated using Product License. Use "Additional Connections License" to increases the maximum number of allowed simultaneous incoming connections.

go to top

Related
  • Contact Us


Contact us

Company website

www.radmin.com

Technical support

www.radmin.com/support

Product sales

www.radmin.com/ordering

Restoring lost registration keys

www.radmin.com/support


Additional licenses information

This software utilizes third-party modules according to their licenses. Following are module names alongside with licenses.

OpenSSL License

The OpenSSL toolkit stays under a dual license, i.e. both the conditions of the OpenSSL License and the original SSLeay license apply to the toolkit. See below for the actual license texts. Actually both licenses are BSD-style Open Source licenses. In case of any license issues related to OpenSSL please contact openssl-core@openssl.org.

OpenSSL License
---------------

Copyright (c) 1998-2003 The OpenSSL Project. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgment:
    "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)"
  4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.
  5. Products derived from this software may not be called "OpenSSL" nor may "OpenSSL" appear in their names without prior written permission of the OpenSSL Project.
  6. Redistributions of any form whatsoever must retain the following acknowledgment:
    "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)"

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes cryptographic software written by Eric Young (eay@cryptsoft.com). This product includes software written by Tim Hudson (tjh@cryptsoft.com).

Original SSLeay License
-----------------------

Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)
All rights reserved.

This package is an SSL implementation written by Eric Young (eay@cryptsoft.com).
The implementation was written so as to conform with Netscapes SSL.

This library is free for commercial and non-commercial use as long as the following conditions are aheared to. The following conditions apply to all code found in this distribution, be it the RC4, RSA, lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution is covered by the same copyright terms except that the holder is Tim Hudson (tjh@cryptsoft.com).

Copyright remains Eric Young's, and as such any Copyright notices in the code are not to be removed.
If this package is used in a product, Eric Young should be given attribution as the author of the parts of the library used.
This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgement:
    "This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)"
    The word 'cryptographic' can be left out if the rouines from the library being used are not cryptographic related :-).
  4. If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement:
    "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"

THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The licence and distribution terms for any publically available version or derivative of this code cannot be changed. i.e. this code cannot simply be copied and put under another distribution licence (including the GNU Public Licence).

SRP License

Copyright (c) 1997-2004 The Stanford SRP Authentication Project All Rights Reserved.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

IN NO EVENT SHALL STANFORD BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

In addition, the following conditions apply:

  1. Any software that incorporates the SRP authentication technology is requested to display the following acknowlegment: "This product uses the 'Secure Remote Password' cryptographic authentication system developed by Tom Wu (tjw@CS.Stanford.EDU)."

  2. Any software that incorporates all or part of the SRP distribution itself must display the following acknowledgment: "This product includes software developed by Tom Wu and Eugene Jhong for the SRP Distribution (http://srp.stanford.edu/)."

  3. Redistributions in source or binary form must retain an intact copy of this copyright notice and list of conditions.

ZLib license

Copyright (C) 1995-2005 Jean-loup Gailly and Mark Adler

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.

  2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.

  3. This notice may not be removed or altered from any source distribution.

Jean-loup Gailly | Mark Adler
jloup@gzip.org | madler@alumni.caltech.edu

The data format used by the zlib library is described by RFCs (Request for Comments) 1950 to 1952 in the files http://www.ietf.org/rfc/rfc1950.txt (zlib format), rfc1951.txt (deflate format) and rfc1952.txt (gzip format).


Search help

To search through the entire help facility, click the "Search" tab, enter the keywords for your search and then click the "List topics" button:

Search window
Search window